# Contributing to Meld VSCode Extension

Thank you for your interest in contributing to the Meld VSCode extension! This document provides guidelines and instructions for contributing.

## Development Setup

1. Clone the repository:
   ```
   git clone https://github.com/username/meld-vscode.git
   cd meld-vscode
   ```

2. Install dependencies:
   ```
   npm install
   ```

3. Build the extension:
   ```
   npm run build
   ```

## Testing the Extension

To test the extension during development:

1. Open the project in VSCode
2. Press F5 to launch a new VSCode window with the extension loaded
3. Open a `.meld` file to test syntax highlighting and autocompletion

## Structure

- `src/`: TypeScript source code
  - `extension.ts`: Extension entry point
  - `completions/`: Autocomplete implementations
  - `utils/`: Helper utilities
- `syntaxes/`: TextMate grammar for syntax highlighting
- `language-configuration.json`: Language configuration

## Adding Features

When adding new features, please:

1. Create a new branch
2. Implement the feature
3. Add tests if applicable
4. Update documentation as needed
5. Submit a pull request

## Code Style

- Use TypeScript for all code
- Follow the existing code style
- Use meaningful variable and function names

## Building the Extension

To build a VSIX package:

```
npm run package
```

## Submitting Changes

1. Create a new branch for your changes
2. Make your changes and commit them
3. Push your branch to the repository
4. Create a pull request
5. Describe your changes in the pull request