"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/extension.ts
var extension_exports = {};
__export(extension_exports, {
  activate: () => activate,
  deactivate: () => deactivate
});
module.exports = __toCommonJS(extension_exports);
var vscode9 = __toESM(require("vscode"));

// src/utils/context-detector.ts
function getMarkdownHeaderContext(document, position) {
  const line = document.lineAt(position.line).text.substring(0, position.character);
  const embedMatch = line.match(/@embed\s*\[([^\]#]+)(?:\s+#\s*)?$/);
  if (embedMatch) {
    return { filePath: embedMatch[1].trim() };
  }
  const filePathMatch = line.match(/@(?:embed|import)\s*\[([^\]]+)#\s*$/);
  if (filePathMatch) {
    return { filePath: filePathMatch[1].trim() };
  }
  return null;
}
function getCompletionContext(document, position) {
  const line = document.lineAt(position.line).text.substring(0, position.character);
  if (line.endsWith("@")) {
    return { type: "directive", prefix: "" };
  }
  const directiveMatch = line.match(/@([a-zA-Z]*)$/);
  if (directiveMatch) {
    return { type: "directive", prefix: directiveMatch[1] };
  }
  if (line.endsWith("${")) {
    return { type: "textVariable", prefix: "" };
  }
  const textVarMatch = line.match(/\${([^}]*)$/);
  if (textVarMatch) {
    return { type: "textVariable", prefix: textVarMatch[1] };
  }
  if (line.endsWith("#{")) {
    return { type: "dataVariable", prefix: "" };
  }
  const dataVarMatch = line.match(/#{([^}]*)$/);
  if (dataVarMatch) {
    return { type: "dataVariable", prefix: dataVarMatch[1] };
  }
  if (line.endsWith("$") && !line.endsWith("\\$")) {
    return { type: "pathVariable", prefix: "" };
  }
  const pathVarMatch = line.match(/\$([a-zA-Z0-9_]*)$/);
  if (pathVarMatch && !line.match(/\${[^}]*$/)) {
    return { type: "pathVariable", prefix: pathVarMatch[1] };
  }
  const commandMatch = line.match(/@run\s*\[\s*\$?([a-zA-Z0-9_]*)$/);
  if (commandMatch) {
    return { type: "command", prefix: commandMatch[1] };
  }
  return void 0;
}

// node_modules/meld-ast/dist/index.js
var __create2 = Object.create;
var __defProp2 = Object.defineProperty;
var __getOwnPropDesc2 = Object.getOwnPropertyDescriptor;
var __getOwnPropNames2 = Object.getOwnPropertyNames;
var __getProtoOf2 = Object.getPrototypeOf;
var __hasOwnProp2 = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp2(target, "name", { value, configurable: true });
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames2(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps2 = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames2(from))
      if (!__hasOwnProp2.call(to, key) && key !== except)
        __defProp2(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc2(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM2 = (mod, isNodeMode, target) => (target = mod != null ? __create2(__getProtoOf2(mod)) : {}, __copyProps2(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  __defProp2(target, "default", { value: mod, enumerable: true }),
  mod
));
var require_directives = __commonJS({
  "node_modules/meld-spec/dist/esm/types/directives.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});
var require_syntax = __commonJS({
  "node_modules/meld-spec/dist/esm/types/syntax.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});
var require_schema = __commonJS({
  "node_modules/meld-spec/dist/esm/types/schema.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SCHEMA_FORMATS = void 0;
    exports2.SCHEMA_FORMATS = {
      DATE: "date",
      DATE_TIME: "date-time",
      EMAIL: "email",
      URI: "uri",
      UUID: "uuid"
    };
  }
});
var require_api = __commonJS({
  "node_modules/meld-spec/dist/esm/types/api.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});
var require_variables = __commonJS({
  "node_modules/meld-spec/dist/esm/types/variables.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VAR_PATTERNS = exports2.ENV_VAR_PREFIX = exports2.SPECIAL_PATH_VARS = void 0;
    exports2.SPECIAL_PATH_VARS = {
      HOME: ["$HOMEPATH", "$~"],
      PROJECT: ["$PROJECTPATH", "$."]
    };
    exports2.ENV_VAR_PREFIX = "ENV_";
    exports2.VAR_PATTERNS = {
      TEXT: /\${([^}]+)}/,
      DATA: /#{([^}]+)}/,
      PATH: /\$([A-Za-z0-9_~]+)/,
      FORMAT: />>\(([^)]+)\)/
    };
  }
});
var require_parser = __commonJS({
  "node_modules/meld-spec/dist/esm/types/parser.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});
var require_validation = __commonJS({
  "node_modules/meld-spec/dist/esm/types/validation.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});
var require_api_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/api/api.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.apiTests = void 0;
    exports2.apiTests = [
      // Minimal API configuration
      {
        name: "minimal-api",
        input: '@api github = {{ baseUrl: "https://api.github.com" }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github",
            config: {
              baseUrl: "https://api.github.com"
            }
          }
        },
        description: "Minimal API with only baseUrl"
      },
      // Full API configuration
      {
        name: "full-api",
        input: '@api github = {{\n      baseUrl: "https://api.github.com",\n      headers: {\n        Authorization: "Bearer ${ENV_TOKEN}",\n        Accept: "application/json"\n      },\n      timeout: 5000,\n      retries: 3\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github",
            config: {
              baseUrl: "https://api.github.com",
              headers: {
                Authorization: "Bearer ${ENV_TOKEN}",
                Accept: "application/json"
              },
              timeout: 5e3,
              retries: 3
            }
          }
        },
        description: "Full API configuration with all optional fields"
      },
      // Basic endpoint definition
      {
        name: "basic-endpoint",
        input: '@api github.issues = {{\n      path: "/repos/${owner}/${repo}/issues"\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github.issues",
            endpoint: {
              path: "/repos/${owner}/${repo}/issues"
            }
          }
        },
        description: "Basic endpoint definition with path"
      },
      // Endpoint with methods
      {
        name: "endpoint-with-methods",
        input: '@api github.issues = {{\n      path: "/repos/${owner}/${repo}/issues",\n      methods: ["GET", "POST"]\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github.issues",
            endpoint: {
              path: "/repos/${owner}/${repo}/issues",
              methods: ["GET", "POST"]
            }
          }
        },
        description: "Endpoint with allowed methods"
      },
      // Endpoint with path parameters
      {
        name: "endpoint-with-params",
        input: '@api github.issue = {{\n      path: "/repos/${owner}/${repo}/issues/${number}",\n      methods: ["GET", "PATCH", "DELETE"]\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github.issue",
            endpoint: {
              path: "/repos/${owner}/${repo}/issues/${number}",
              methods: ["GET", "PATCH", "DELETE"]
            }
          }
        },
        description: "Endpoint with path parameters"
      },
      // API with data variables
      {
        name: "api-with-data",
        input: '@api github = {{\n      baseUrl: "https://api.github.com",\n      headers: "#{headers}",\n      timeout: "#{config.timeout}"\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github",
            config: {
              baseUrl: "https://api.github.com",
              headers: "#{headers}",
              timeout: "#{config.timeout}"
            }
          }
        },
        description: "API configuration with data variables"
      },
      // Endpoint with query parameters
      {
        name: "endpoint-with-query",
        input: '@api github.search = {{\n      path: "/search/repositories?q=${query}&sort=${sort}",\n      methods: ["GET"]\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github.search",
            endpoint: {
              path: "/search/repositories?q=${query}&sort=${sort}",
              methods: ["GET"]
            }
          }
        },
        description: "Endpoint with query parameters"
      },
      // Nested endpoint paths
      {
        name: "nested-endpoint",
        input: '@api github.repos.issues = {{\n      path: "/repos/${owner}/${repo}/issues",\n      methods: ["GET", "POST"]\n    }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "api",
            identifier: "github.repos.issues",
            endpoint: {
              path: "/repos/${owner}/${repo}/issues",
              methods: ["GET", "POST"]
            }
          }
        },
        description: "Deeply nested endpoint definition"
      }
    ];
  }
});
var require_api_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/api/api-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.apiInvalidTests = void 0;
    exports2.apiInvalidTests = [
      // Invalid identifiers
      {
        name: "empty-identifier",
        input: '@api = {{ baseUrl: "https://api.com" }}',
        expected: {
          type: "Error",
          error: "API identifier cannot be empty"
        },
        description: "API identifier is required"
      },
      {
        name: "invalid-identifier",
        input: '@api 123api = {{ baseUrl: "https://api.com" }}',
        expected: {
          type: "Error",
          error: "Invalid identifier: must start with letter or underscore"
        },
        description: "API identifier must be valid"
      },
      {
        name: "invalid-endpoint-segment",
        input: '@api api.123endpoint = {{ path: "/test" }}',
        expected: {
          type: "Error",
          error: "Invalid endpoint identifier segment: must be valid identifier"
        },
        description: "Endpoint path segments must be valid identifiers"
      },
      // Missing required fields
      {
        name: "missing-baseurl",
        input: "@api github = {{ timeout: 5000 }}",
        expected: {
          type: "Error",
          error: "API configuration requires baseUrl"
        },
        description: "baseUrl is required for API configuration"
      },
      {
        name: "empty-baseurl",
        input: '@api github = {{ baseUrl: "" }}',
        expected: {
          type: "Error",
          error: "baseUrl cannot be empty"
        },
        description: "baseUrl must have value"
      },
      // Invalid URL formats
      {
        name: "invalid-baseurl",
        input: '@api github = {{ baseUrl: "not a url" }}',
        expected: {
          type: "Error",
          error: "Invalid baseUrl: must be valid URL"
        },
        description: "baseUrl must be valid URL"
      },
      {
        name: "relative-baseurl",
        input: '@api github = {{ baseUrl: "/api" }}',
        expected: {
          type: "Error",
          error: "Invalid baseUrl: must be absolute URL"
        },
        description: "baseUrl must be absolute"
      },
      // Invalid endpoint paths
      {
        name: "absolute-endpoint-path",
        input: '@api github.issues = {{ path: "https://api.github.com/issues" }}',
        expected: {
          type: "Error",
          error: "Endpoint path must be relative"
        },
        description: "Endpoint paths must be relative"
      },
      {
        name: "empty-endpoint-path",
        input: '@api github.issues = {{ path: "" }}',
        expected: {
          type: "Error",
          error: "Endpoint path cannot be empty"
        },
        description: "Endpoint path must have value"
      },
      // Invalid methods
      {
        name: "invalid-method",
        input: '@api github.issues = {{ path: "/issues", methods: ["INVALID"] }}',
        expected: {
          type: "Error",
          error: "Invalid HTTP method: must be GET, POST, PUT, PATCH, or DELETE"
        },
        description: "Methods must be valid HTTP methods"
      },
      {
        name: "empty-methods",
        input: '@api github.issues = {{ path: "/issues", methods: [] }}',
        expected: {
          type: "Error",
          error: "Methods array cannot be empty"
        },
        description: "Methods must contain at least one method"
      },
      {
        name: "duplicate-methods",
        input: '@api github.issues = {{ path: "/issues", methods: ["GET", "GET"] }}',
        expected: {
          type: "Error",
          error: "Duplicate HTTP method in methods array"
        },
        description: "Methods must be unique"
      },
      // Invalid object syntax
      {
        name: "missing-braces",
        input: '@api github = baseUrl: "https://api.github.com"',
        expected: {
          type: "Error",
          error: "API configuration must be object literal"
        },
        description: "Configuration must be in braces"
      },
      {
        name: "unclosed-braces",
        input: '@api github = {{ baseUrl: "https://api.github.com"',
        expected: {
          type: "Error",
          error: "Unclosed object literal"
        },
        description: "Object literal must be closed"
      },
      // Invalid field values
      {
        name: "invalid-timeout",
        input: '@api github = {{ baseUrl: "https://api.github.com", timeout: "5000" }}',
        expected: {
          type: "Error",
          error: "timeout must be a number"
        },
        description: "Numeric fields must be numbers"
      },
      {
        name: "invalid-retries",
        input: '@api github = {{ baseUrl: "https://api.github.com", retries: -1 }}',
        expected: {
          type: "Error",
          error: "retries must be non-negative"
        },
        description: "Retries must be non-negative"
      },
      // Invalid headers
      {
        name: "invalid-header-name",
        input: '@api github = {{ baseUrl: "https://api.github.com", headers: { "Invalid:Name": "value" } }}',
        expected: {
          type: "Error",
          error: "Invalid header name: cannot contain colon"
        },
        description: "Header names must be valid"
      },
      {
        name: "non-string-header",
        input: '@api github = {{ baseUrl: "https://api.github.com", headers: { Accept: 123 } }}',
        expected: {
          type: "Error",
          error: "Header values must be strings"
        },
        description: "Headers must have string values"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: '  @api github = {{ baseUrl: "https://api.github.com" }}',
        expected: {
          type: "Error",
          error: "Directives must appear at start of line"
        },
        description: "Directives cannot be indented"
      },
      // Syntax errors
      {
        name: "missing-equals",
        input: '@api github {{ baseUrl: "https://api.github.com" }}',
        expected: {
          type: "Error",
          error: "Missing = in API assignment"
        },
        description: "API assignment requires equals sign"
      },
      {
        name: "extra-tokens",
        input: '@api github = {{ baseUrl: "https://api.github.com" }} extra',
        expected: {
          type: "Error",
          error: "Unexpected tokens after API configuration"
        },
        description: "No extra tokens allowed after configuration"
      }
    ];
  }
});
var require_data_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/data/data.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.dataTests = void 0;
    exports2.dataTests = [
      // Basic value assignments
      {
        name: "object-literal",
        input: '@data config = {{ name: "test", version: 1 }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "config",
            value: {
              name: "test",
              version: 1
            },
            source: "literal"
          }
        },
        description: "Object literal assignment"
      },
      // Schema validation
      {
        name: "with-schema",
        input: '@data config : ConfigSchema = {{ name: "test" }}',
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "config",
            schema: "ConfigSchema",
            value: {
              name: "test"
            },
            source: "literal"
          }
        },
        description: "Value with schema validation"
      },
      // @embed source
      {
        name: "embed-source",
        input: "@data config = @embed [config.json]",
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "config",
            source: "embed",
            embed: {
              kind: "embed",
              path: {
                raw: "config.json",
                normalized: "./config.json",
                structured: {
                  base: ".",
                  segments: ["config.json"],
                  variables: {},
                  cwd: true
                }
              }
            }
          }
        },
        description: "Data from embed directive"
      },
      {
        name: "embed-with-schema",
        input: "@data config : ConfigSchema = @embed [config.json]",
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "config",
            schema: "ConfigSchema",
            source: "embed",
            embed: {
              kind: "embed",
              path: {
                raw: "config.json",
                normalized: "./config.json",
                structured: {
                  base: ".",
                  segments: ["config.json"],
                  variables: {},
                  cwd: true
                }
              }
            }
          }
        },
        description: "Data from embed with schema"
      },
      // @run source
      {
        name: "run-source",
        input: '@data output = @run [echo "{\\"key\\": \\"value\\"}"]',
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "output",
            source: "run",
            run: {
              kind: "run",
              command: 'echo "{\\"key\\": \\"value\\"}"'
            }
          }
        },
        description: "Data from run directive"
      },
      // @call source
      {
        name: "call-source",
        input: "@data response = @call api.get [/data]",
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "response",
            source: "call",
            call: {
              kind: "call",
              api: "api",
              method: "get",
              path: "/data"
            }
          }
        },
        description: "Data from API call"
      },
      // Complex object with variables
      {
        name: "complex-object",
        input: "@data user = {{\n      name: ${name},\n      age: 30,\n      settings: {\n        theme: ${theme},\n        enabled: true\n      },\n      tags: [${tag1}, ${tag2}]\n    }}",
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "user",
            value: {
              name: "${name}",
              age: 30,
              settings: {
                theme: "${theme}",
                enabled: true
              },
              tags: ["${tag1}", "${tag2}"]
            },
            source: "literal"
          }
        },
        description: "Complex object with nested structures and variables"
      },
      // Special values
      {
        name: "special-values",
        input: "@data values = {{\n      null_value: null,\n      bool_true: true,\n      bool_false: false,\n      number: 42.5\n    }}",
        expected: {
          type: "Directive",
          directive: {
            kind: "data",
            identifier: "values",
            value: {
              null_value: null,
              bool_true: true,
              bool_false: false,
              number: 42.5
            },
            source: "literal"
          }
        },
        description: "Object with special JSON values"
      }
    ];
  }
});
var require_data_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/data/data-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.dataInvalidTests = void 0;
    exports2.dataInvalidTests = [
      // Invalid identifiers
      {
        name: "empty-identifier",
        input: "@data = {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Data identifier cannot be empty"
        },
        description: "Data identifier is required"
      },
      {
        name: "invalid-identifier",
        input: "@data 123data = {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Invalid identifier: must start with letter or underscore"
        },
        description: "Data identifier must be valid"
      },
      // Invalid object literals
      {
        name: "unclosed-object",
        input: '@data config = {{ name: "test"',
        expected: {
          type: "Error",
          error: "Unclosed object literal"
        },
        description: "Object literals must be closed"
      },
      {
        name: "invalid-key",
        input: '@data config = {{ 123: "value" }}',
        expected: {
          type: "Error",
          error: "Invalid object key: must be valid identifier"
        },
        description: "Object keys must be valid identifiers"
      },
      {
        name: "missing-colon",
        input: '@data config = {{ name "value" }}',
        expected: {
          type: "Error",
          error: "Missing : in object property"
        },
        description: "Object properties require colon"
      },
      // Invalid array literals
      {
        name: "unclosed-array",
        input: "@data list = [[ 1, 2, 3",
        expected: {
          type: "Error",
          error: "Unclosed array literal"
        },
        description: "Array literals must be closed"
      },
      {
        name: "missing-comma",
        input: "@data list = [[ 1 2 3 ]]",
        expected: {
          type: "Error",
          error: "Missing comma between array elements"
        },
        description: "Array elements must be comma-separated"
      },
      // Schema errors
      {
        name: "invalid-schema",
        input: "@data config : 123Schema = {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Invalid schema identifier"
        },
        description: "Schema must be valid identifier"
      },
      {
        name: "missing-schema-equals",
        input: "@data config : Schema {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Missing = after schema"
        },
        description: "Schema must be followed by equals"
      },
      // Invalid embed source
      {
        name: "invalid-embed",
        input: "@data config = @embed config.json",
        expected: {
          type: "Error",
          error: "Invalid embed syntax: missing []"
        },
        description: "Embed source must use proper syntax"
      },
      {
        name: "empty-embed-path",
        input: "@data config = @embed []",
        expected: {
          type: "Error",
          error: "Empty path in embed source"
        },
        description: "Embed path cannot be empty"
      },
      // Invalid run source
      {
        name: "invalid-run",
        input: '@data output = @run echo "hello"',
        expected: {
          type: "Error",
          error: "Invalid run syntax: missing []"
        },
        description: "Run source must use proper syntax"
      },
      {
        name: "empty-run-command",
        input: "@data output = @run []",
        expected: {
          type: "Error",
          error: "Empty command in run source"
        },
        description: "Run command cannot be empty"
      },
      // Invalid call source
      {
        name: "invalid-call",
        input: "@data response = @call api",
        expected: {
          type: "Error",
          error: "Invalid call syntax: missing method and path"
        },
        description: "Call source must specify method and path"
      },
      {
        name: "invalid-call-method",
        input: "@data response = @call api.invalid [/path]",
        expected: {
          type: "Error",
          error: "Invalid HTTP method in call source"
        },
        description: "Call method must be valid HTTP method"
      },
      // Invalid values
      {
        name: "invalid-json",
        input: "@data config = {{ function() {} }}",
        expected: {
          type: "Error",
          error: "Invalid value: must be valid JSON"
        },
        description: "Values must be valid JSON"
      },
      {
        name: "undefined-value",
        input: "@data config = {{ value: undefined }}",
        expected: {
          type: "Error",
          error: "Invalid value: undefined not allowed"
        },
        description: "Undefined not allowed in values"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: "  @data config = {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Directives must appear at start of line"
        },
        description: "Directives cannot be indented"
      },
      // Syntax errors
      {
        name: "missing-equals",
        input: "@data config {{ value: 1 }}",
        expected: {
          type: "Error",
          error: "Missing = in data assignment"
        },
        description: "Data assignment requires equals sign"
      },
      {
        name: "extra-tokens",
        input: "@data config = {{ value: 1 }} extra",
        expected: {
          type: "Error",
          error: "Unexpected tokens after data value"
        },
        description: "No extra tokens allowed after value"
      }
    ];
  }
});
var require_define_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/define/define.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defineTests = void 0;
    exports2.defineTests = [
      // Basic command definition
      {
        name: "basic-command",
        input: '@define greet = @run [echo "hello"]',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "greet",
            command: {
              kind: "run",
              command: 'echo "hello"'
            }
          }
        },
        description: "Basic command definition"
      },
      // Command with parameters
      {
        name: "command-with-params",
        input: '@define greet(name, message) = @run [echo "Hello ${name}, ${message}"]',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "greet",
            parameters: ["name", "message"],
            command: {
              kind: "run",
              command: 'echo "Hello ${name}, ${message}"'
            }
          }
        },
        description: "Command with parameters"
      },
      // Command with single parameter
      {
        name: "single-param",
        input: "@define echo(message) = @run [echo ${message}]",
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "echo",
            parameters: ["message"],
            command: {
              kind: "run",
              command: "echo ${message}"
            }
          }
        },
        description: "Command with single parameter"
      },
      // Command with risk metadata
      {
        name: "risk-metadata",
        input: '@define cmd.risk = "low"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "risk",
            value: "low"
          }
        },
        description: "Command with risk level"
      },
      // Command with specific risk levels
      {
        name: "risk-high",
        input: '@define cmd.risk.high = "Destructive operation"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "risk.high",
            value: "Destructive operation"
          }
        },
        description: "Command with high risk"
      },
      {
        name: "risk-med",
        input: '@define cmd.risk.med = "Use with caution"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "risk.med",
            value: "Use with caution"
          }
        },
        description: "Command with medium risk"
      },
      {
        name: "risk-low",
        input: '@define cmd.risk.low = "Safe operation"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "risk.low",
            value: "Safe operation"
          }
        },
        description: "Command with low risk"
      },
      // Command with about metadata
      {
        name: "about-metadata",
        input: '@define cmd.about = "Description of the command"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "about",
            value: "Description of the command"
          }
        },
        description: "Command with about information"
      },
      // Command with meta metadata
      {
        name: "meta-metadata",
        input: '@define cmd.meta = "Additional metadata"',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "cmd",
            field: "meta",
            value: "Additional metadata"
          }
        },
        description: "Command with meta information"
      },
      // Complex command with multiple parameters
      {
        name: "complex-command",
        input: '@define deploy(env, version) = @run [echo "Deploying ${version} to ${env}" && deploy --env=${env} --version=${version}]',
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "deploy",
            parameters: ["env", "version"],
            command: {
              kind: "run",
              command: 'echo "Deploying ${version} to ${env}" && deploy --env=${env} --version=${version}'
            }
          }
        },
        description: "Complex command with multiple parameters"
      },
      // Command with special path variables
      {
        name: "path-variables",
        input: "@define backup(name) = @run [cp $PROJECTPATH/src/${name} $HOMEPATH/backups/]",
        expected: {
          type: "Directive",
          directive: {
            kind: "define",
            name: "backup",
            parameters: ["name"],
            command: {
              kind: "run",
              command: "cp $PROJECTPATH/src/${name} $HOMEPATH/backups/"
            }
          }
        },
        description: "Command using special path variables"
      }
    ];
  }
});
var require_define_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/define/define-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defineInvalidTests = void 0;
    exports2.defineInvalidTests = [
      // Invalid command body
      {
        name: "non-run-directive",
        input: "@define cmd = @embed [file.md]",
        expected: {
          type: "Error",
          error: "Command body must be an @run directive"
        },
        description: "Cannot use other directives as command body"
      },
      {
        name: "string-body",
        input: '@define cmd = "hello"',
        expected: {
          type: "Error",
          error: "Command body must be an @run directive"
        },
        description: "Cannot use string as command body"
      },
      // Invalid identifiers
      {
        name: "empty-identifier",
        input: '@define = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Command name cannot be empty"
        },
        description: "Command name is required"
      },
      {
        name: "invalid-identifier",
        input: '@define 123cmd = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Invalid command name: must start with letter or underscore"
        },
        description: "Command name must be valid identifier"
      },
      {
        name: "special-chars",
        input: '@define cmd! = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Invalid command name: cannot contain special characters"
        },
        description: "Command name cannot have special characters"
      },
      // Invalid parameters
      {
        name: "empty-param-list",
        input: '@define cmd() = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Empty parameter list not allowed"
        },
        description: "Must have at least one parameter if using parentheses"
      },
      {
        name: "invalid-param-name",
        input: "@define cmd(123param) = @run [echo ${123param}]",
        expected: {
          type: "Error",
          error: "Invalid parameter name: must start with letter or underscore"
        },
        description: "Parameter names must be valid identifiers"
      },
      {
        name: "unused-param",
        input: '@define cmd(param) = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Parameter param is not used in command body"
        },
        description: "All parameters must be used in command"
      },
      {
        name: "duplicate-params",
        input: "@define cmd(param, param) = @run [echo ${param}]",
        expected: {
          type: "Error",
          error: "Duplicate parameter name: param"
        },
        description: "Parameter names must be unique"
      },
      // Invalid metadata fields
      {
        name: "invalid-field",
        input: '@define cmd.invalid = "value"',
        expected: {
          type: "Error",
          error: "Invalid metadata field: must be risk, risk.high, risk.med, risk.low, about, or meta"
        },
        description: "Only specific metadata fields are allowed"
      },
      {
        name: "empty-field",
        input: '@define cmd. = "value"',
        expected: {
          type: "Error",
          error: "Empty metadata field"
        },
        description: "Metadata field cannot be empty"
      },
      {
        name: "invalid-risk-level",
        input: '@define cmd.risk.invalid = "value"',
        expected: {
          type: "Error",
          error: "Invalid risk level: must be high, med, or low"
        },
        description: "Only specific risk levels are allowed"
      },
      {
        name: "run-with-field",
        input: '@define cmd.risk = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Metadata fields must have string values"
        },
        description: "Cannot use @run with metadata fields"
      },
      // Syntax errors
      {
        name: "missing-equals",
        input: '@define cmd @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Missing = in @define directive"
        },
        description: "Must have equals sign"
      },
      {
        name: "missing-closing-paren",
        input: "@define cmd(param = @run [echo ${param}]",
        expected: {
          type: "Error",
          error: "Unclosed ( in parameter list"
        },
        description: "Must close parameter list"
      },
      {
        name: "missing-param-comma",
        input: "@define cmd(param1 param2) = @run [echo ${param1} ${param2}]",
        expected: {
          type: "Error",
          error: "Missing comma between parameters"
        },
        description: "Parameters must be comma-separated"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: '  @define cmd = @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Directives must appear at the start of a line"
        },
        description: "Directives cannot be indented"
      },
      // Variable errors
      {
        name: "data-var-in-command",
        input: "@define cmd = @run [echo #{data}]",
        expected: {
          type: "Error",
          error: "Data variables not allowed in command arguments"
        },
        description: "Cannot use data variables in commands"
      },
      {
        name: "nested-var",
        input: "@define cmd(param) = @run [echo ${var${param}}]",
        expected: {
          type: "Error",
          error: "Nested variable interpolation not allowed"
        },
        description: "Cannot nest variable references"
      }
    ];
  }
});
var require_embed_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/embed/embed.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.embedTests = void 0;
    exports2.embedTests = [
      // Basic usage
      {
        name: "basic-embed",
        input: "@embed [file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "file.md",
              normalized: "./file.md",
              structured: {
                base: ".",
                segments: ["file.md"],
                variables: {},
                cwd: true
              }
            }
          }
        },
        description: "Basic file embed"
      },
      // Section embedding
      {
        name: "section-embed",
        input: "@embed [file.md # Introduction]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "file.md",
              normalized: "./file.md",
              structured: {
                base: ".",
                segments: ["file.md"],
                variables: {},
                cwd: true
              }
            },
            section: "Introduction"
          }
        },
        description: "Embed specific section"
      },
      // Header level adjustment
      {
        name: "header-level",
        input: "@embed [file.md] as ###",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "file.md",
              normalized: "./file.md",
              structured: {
                base: ".",
                segments: ["file.md"],
                variables: {}
              }
            },
            headerLevel: 3
          }
        },
        description: "Embed with header level adjustment"
      },
      // Section with header level
      {
        name: "section-with-header",
        input: "@embed [file.md # Introduction] as ##",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "file.md",
              normalized: "./file.md",
              structured: {
                base: ".",
                segments: ["file.md"],
                variables: {}
              }
            },
            section: "Introduction",
            headerLevel: 2
          }
        },
        description: "Embed section with header level adjustment"
      },
      // Named embed
      {
        name: "named-embed",
        input: "@embed { config } from [config.json]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "config.json",
              normalized: "./config.json",
              structured: {
                base: ".",
                segments: ["config.json"],
                variables: {}
              }
            },
            names: ["config"]
          }
        },
        description: "Named embed"
      },
      // Multiple named embeds
      {
        name: "multiple-names",
        input: "@embed { user, settings } from [data.json]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "data.json",
              normalized: "./data.json",
              structured: {
                base: ".",
                segments: ["data.json"],
                variables: {}
              }
            },
            names: ["user", "settings"]
          }
        },
        description: "Multiple named embeds"
      },
      // Under header
      {
        name: "under-header",
        input: "@embed [content.md] under My Section",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "content.md",
              normalized: "./content.md",
              structured: {
                base: ".",
                segments: ["content.md"],
                variables: {}
              }
            },
            underHeader: "My Section"
          }
        },
        description: "Embed under header"
      },
      // Complex paths
      {
        name: "relative-path",
        input: "@embed [../path/to/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "../path/to/file.md",
              normalized: "../path/to/file.md",
              structured: {
                base: "..",
                segments: ["path", "to", "file.md"],
                variables: {}
              }
            }
          }
        },
        description: "Embed with relative path"
      },
      // Variable interpolation
      {
        name: "variable-path",
        input: "@embed [${file_path}]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "${file_path}",
              normalized: "./${file_path}",
              structured: {
                base: ".",
                segments: ["${file_path}"],
                variables: {
                  text: ["file_path"]
                },
                cwd: true
              }
            }
          }
        },
        description: "Embed with variable in path"
      },
      // Path with brackets
      {
        name: "path-with-brackets",
        input: "@embed [path/with [brackets].md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "path/with [brackets].md",
              normalized: "./path/with [brackets].md",
              structured: {
                base: ".",
                segments: ["path", "with [brackets].md"],
                variables: {}
              }
            }
          }
        },
        description: "Embed with brackets in path"
      },
      // Special path variables
      {
        name: "home-path",
        input: "@embed [$~/docs/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "$~/docs/file.md",
              normalized: "$HOMEPATH/docs/file.md",
              structured: {
                base: "$~",
                segments: ["docs", "file.md"],
                variables: {
                  special: ["HOMEPATH"]
                }
              }
            }
          }
        },
        description: "Path with home alias"
      },
      // Project path alias
      {
        name: "project-path",
        input: "@embed [$./src/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "embed",
            path: {
              raw: "$./src/file.md",
              normalized: "$PROJECTPATH/src/file.md",
              structured: {
                base: "$.",
                segments: ["src", "file.md"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Path with project alias"
      }
    ];
  }
});
var require_embed_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/embed/embed-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.embedInvalidTests = void 0;
    exports2.embedInvalidTests = [
      // Indentation errors
      {
        name: "indented-directive",
        input: "  @embed [file.md]",
        expected: {
          type: "Error",
          error: "Directives must appear at the start of a line"
        },
        description: "Directives cannot be indented"
      },
      // Empty paths
      {
        name: "empty-path",
        input: "@embed []",
        expected: {
          type: "Error",
          error: "Empty path in @embed directive"
        },
        description: "Path cannot be empty"
      },
      {
        name: "whitespace-path",
        input: "@embed [ ]",
        expected: {
          type: "Error",
          error: "Empty path in @embed directive"
        },
        description: "Path cannot be only whitespace"
      },
      // Invalid section syntax
      {
        name: "empty-section",
        input: "@embed [file.md #]",
        expected: {
          type: "Error",
          error: "Empty section name"
        },
        description: "Section marker must be followed by text"
      },
      {
        name: "whitespace-section",
        input: "@embed [file.md # ]",
        expected: {
          type: "Error",
          error: "Empty section name"
        },
        description: "Section name cannot be only whitespace"
      },
      {
        name: "missing-section-space",
        input: "@embed [file.md #section]",
        expected: {
          type: "Error",
          error: "Invalid section syntax: missing space after #"
        },
        description: "Must have space after section marker"
      },
      // Invalid name syntax
      {
        name: "invalid-name-hyphen",
        input: "@embed { invalid-name } from [file.md]",
        expected: {
          type: "Error",
          error: "Invalid identifier: invalid-name"
        },
        description: "Names cannot contain hyphens"
      },
      {
        name: "invalid-name-number-start",
        input: "@embed { 123name } from [file.md]",
        expected: {
          type: "Error",
          error: "Invalid identifier: 123name"
        },
        description: "Names cannot start with numbers"
      },
      {
        name: "invalid-name-special-chars",
        input: "@embed { name! } from [file.md]",
        expected: {
          type: "Error",
          error: "Invalid identifier: name!"
        },
        description: "Names cannot contain special characters"
      },
      // Invalid header levels
      {
        name: "too-many-hashes",
        input: "@embed [file.md] as ######",
        expected: {
          type: "Error",
          error: "Invalid header level: maximum is 6"
        },
        description: "Header levels cannot exceed 6"
      },
      {
        name: "invalid-header-marker",
        input: "@embed [file.md] as ##.#",
        expected: {
          type: "Error",
          error: "Invalid header level syntax"
        },
        description: "Header markers must be consecutive hashes"
      },
      // Syntax errors
      {
        name: "missing-closing-bracket",
        input: "@embed [file.md",
        expected: {
          type: "Error",
          error: "Unclosed [ in @embed directive"
        },
        description: "Must close brackets"
      },
      {
        name: "missing-opening-bracket",
        input: "@embed file.md]",
        expected: {
          type: "Error",
          error: "Missing [ in @embed directive"
        },
        description: "Must open brackets"
      },
      {
        name: "missing-closing-brace",
        input: "@embed { name from [file.md]",
        expected: {
          type: "Error",
          error: "Unclosed { in @embed directive"
        },
        description: "Must close braces"
      },
      // Invalid combinations
      {
        name: "section-and-names",
        input: "@embed { name } from [file.md # Section]",
        expected: {
          type: "Error",
          error: "Cannot combine named embed with section"
        },
        description: "Cannot use both named embed and section syntax"
      },
      {
        name: "header-and-names",
        input: "@embed { name } from [file.md] as ##",
        expected: {
          type: "Error",
          error: "Cannot combine named embed with header level"
        },
        description: "Cannot use both named embed and header level"
      },
      // Path validation
      {
        name: "absolute-path",
        input: "@embed [/absolute/path.md]",
        expected: {
          type: "Error",
          error: "Absolute paths not allowed in @embed"
        },
        description: "Cannot use absolute paths"
      },
      {
        name: "parent-dir-path",
        input: "@embed [../../outside.md]",
        expected: {
          type: "Error",
          error: "Path attempts to access parent directory"
        },
        description: "Cannot access parent directories"
      }
    ];
  }
});
var require_import_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/import/import.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.importTests = void 0;
    exports2.importTests = [
      // Basic import
      {
        name: "basic-import",
        input: "@import [file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "file.md",
              structured: {
                base: ".",
                segments: ["file.md"],
                variables: {},
                cwd: true
              }
            }
          }
        },
        description: "Basic file import"
      },
      // Import with nested brackets
      {
        name: "nested-brackets",
        input: "@import [path/with [brackets].md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "path/with [brackets].md",
              structured: {
                base: ".",
                segments: ["path", "with [brackets].md"],
                variables: {}
              }
            }
          }
        },
        description: "Import path with nested brackets"
      },
      // Import with text variable
      {
        name: "text-variable",
        input: "@import [${file_path}]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "${file_path}",
              structured: {
                base: ".",
                segments: ["${file_path}"],
                variables: {
                  text: ["file_path"]
                },
                cwd: true
              }
            }
          }
        },
        description: "Import with text variable"
      },
      // Import with path variable
      {
        name: "path-variable",
        input: "@import [$file]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "$file",
              structured: {
                base: ".",
                segments: ["$file"],
                variables: {
                  path: ["file"]
                },
                cwd: true
              }
            }
          }
        },
        description: "Import with path variable"
      },
      // Import with special path variables
      {
        name: "home-path",
        input: "@import [$HOMEPATH/docs/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "$HOMEPATH/docs/file.md",
              structured: {
                base: "$HOMEPATH",
                segments: ["docs", "file.md"],
                variables: {
                  special: ["HOMEPATH"]
                }
              }
            }
          }
        },
        description: "Import with HOMEPATH variable"
      },
      // Import with home alias
      {
        name: "home-alias",
        input: "@import [$~/docs/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "$~/docs/file.md",
              structured: {
                base: "$~",
                segments: ["docs", "file.md"],
                variables: {
                  special: ["HOMEPATH"]
                }
              }
            }
          }
        },
        description: "Import with ~ alias for HOMEPATH"
      },
      // Import with project path
      {
        name: "project-path",
        input: "@import [$PROJECTPATH/src/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "$PROJECTPATH/src/file.md",
              structured: {
                base: "$PROJECTPATH",
                segments: ["src", "file.md"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Import with PROJECTPATH variable"
      },
      // Import with project alias
      {
        name: "project-alias",
        input: "@import [$./src/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "$./src/file.md",
              structured: {
                base: "$.",
                segments: ["src", "file.md"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Import with . alias for PROJECTPATH"
      },
      // Import with relative paths
      {
        name: "relative-path",
        input: "@import [../parent/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "../parent/file.md",
              structured: {
                base: "..",
                segments: ["parent", "file.md"],
                variables: {}
              }
            }
          }
        },
        description: "Import with relative path"
      },
      // Import with current directory
      {
        name: "current-dir",
        input: "@import [./current/file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "import",
            path: {
              raw: "./current/file.md",
              structured: {
                base: ".",
                segments: ["current", "file.md"],
                variables: {}
              }
            }
          }
        },
        description: "Import with current directory path"
      }
    ];
  }
});
var require_import_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/import/import-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.importInvalidTests = void 0;
    exports2.importInvalidTests = [
      // Empty path
      {
        name: "empty-path",
        input: "@import []",
        expected: {
          type: "Error",
          error: "Empty path in @import directive"
        },
        description: "Path cannot be empty"
      },
      {
        name: "whitespace-path",
        input: "@import [ ]",
        expected: {
          type: "Error",
          error: "Empty path in @import directive"
        },
        description: "Path cannot be only whitespace"
      },
      // Invalid variable usage
      {
        name: "data-var-in-path",
        input: "@import [#{data}]",
        expected: {
          type: "Error",
          error: "Data variables not allowed in import path"
        },
        description: "Cannot use data variables in path"
      },
      {
        name: "invalid-path-var",
        input: "@import [$HOMEPATH file]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Special path variables must be followed by /"
      },
      {
        name: "invalid-project-var",
        input: "@import [$.file]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Project path alias must be followed by /"
      },
      // Syntax errors
      {
        name: "missing-closing-bracket",
        input: "@import [file.md",
        expected: {
          type: "Error",
          error: "Unclosed [ in @import directive"
        },
        description: "Must close brackets"
      },
      {
        name: "missing-opening-bracket",
        input: "@import file.md]",
        expected: {
          type: "Error",
          error: "Missing [ in @import directive"
        },
        description: "Must open brackets"
      },
      {
        name: "unclosed-nested-bracket",
        input: "@import [file[.md]",
        expected: {
          type: "Error",
          error: "Unclosed [ in nested path"
        },
        description: "Must close nested brackets"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: "  @import [file.md]",
        expected: {
          type: "Error",
          error: "Directives must appear at the start of a line"
        },
        description: "Directives cannot be indented"
      },
      // Variable errors
      {
        name: "nested-text-var",
        input: "@import [${var${inner}}]",
        expected: {
          type: "Error",
          error: "Nested variable interpolation not allowed"
        },
        description: "Cannot nest variable references"
      },
      {
        name: "invalid-var-format",
        input: "@import [${var>>(upper)}]",
        expected: {
          type: "Error",
          error: "Format operator not allowed in import path"
        },
        description: "Cannot use format operator in path"
      },
      // Path validation
      {
        name: "absolute-path",
        input: "@import [/absolute/path.md]",
        expected: {
          type: "Error",
          error: "Absolute paths not allowed in @import"
        },
        description: "Cannot use absolute paths"
      },
      {
        name: "parent-dir-path",
        input: "@import [../../outside.md]",
        expected: {
          type: "Error",
          error: "Path attempts to access parent directory"
        },
        description: "Cannot access parent directories"
      },
      // Extra arguments
      {
        name: "extra-arguments",
        input: "@import [file.md] extra",
        expected: {
          type: "Error",
          error: "@import directive takes only a path argument"
        },
        description: "Cannot have extra arguments"
      },
      {
        name: "under-header",
        input: "@import [file.md] under Header",
        expected: {
          type: "Error",
          error: "@import directive does not support under header"
        },
        description: "Cannot use under header"
      }
    ];
  }
});
var require_path_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/path/path.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.pathTests = void 0;
    exports2.pathTests = [
      // Basic path assignment
      {
        name: "basic-path",
        input: "@path docs = [documents/files]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "docs",
            path: {
              raw: "documents/files",
              structured: {
                base: ".",
                segments: ["documents", "files"],
                variables: {}
              }
            }
          }
        },
        description: "Basic path assignment"
      },
      // HOMEPATH variable
      {
        name: "home-path",
        input: "@path docs = [$HOMEPATH/documents]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "docs",
            path: {
              raw: "$HOMEPATH/documents",
              structured: {
                base: "$HOMEPATH",
                segments: ["documents"],
                variables: {
                  special: ["HOMEPATH"]
                }
              }
            }
          }
        },
        description: "Path with HOMEPATH variable"
      },
      // Home alias
      {
        name: "home-alias",
        input: "@path docs = [$~/documents]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "docs",
            path: {
              raw: "$~/documents",
              structured: {
                base: "$~",
                segments: ["documents"],
                variables: {
                  special: ["HOMEPATH"]
                }
              }
            }
          }
        },
        description: "Path with ~ alias for HOMEPATH"
      },
      // PROJECTPATH variable
      {
        name: "project-path",
        input: "@path src = [$PROJECTPATH/src]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "src",
            path: {
              raw: "$PROJECTPATH/src",
              structured: {
                base: "$PROJECTPATH",
                segments: ["src"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Path with PROJECTPATH variable"
      },
      // Project alias
      {
        name: "project-alias",
        input: "@path src = [$./src]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "src",
            path: {
              raw: "$./src",
              structured: {
                base: "$.",
                segments: ["src"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Path with . alias for PROJECTPATH"
      },
      // Nested paths
      {
        name: "nested-path",
        input: "@path deep = [$PROJECTPATH/src/lib/utils]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "deep",
            path: {
              raw: "$PROJECTPATH/src/lib/utils",
              structured: {
                base: "$PROJECTPATH",
                segments: ["src", "lib", "utils"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Deeply nested path"
      },
      // Path with text variables
      {
        name: "path-with-var",
        input: "@path user_docs = [$HOMEPATH/${username}/docs]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "user_docs",
            path: {
              raw: "$HOMEPATH/${username}/docs",
              structured: {
                base: "$HOMEPATH",
                segments: ["${username}", "docs"],
                variables: {
                  special: ["HOMEPATH"],
                  text: ["username"]
                }
              }
            }
          }
        },
        description: "Path with text variable interpolation"
      },
      // Path with brackets
      {
        name: "path-with-brackets",
        input: "@path special = [$PROJECTPATH/data/[version]/config]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "special",
            path: {
              raw: "$PROJECTPATH/data/[version]/config",
              structured: {
                base: "$PROJECTPATH",
                segments: ["data", "[version]", "config"],
                variables: {
                  special: ["PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Path containing brackets"
      },
      // Multiple path variables
      {
        name: "multiple-vars",
        input: "@path backup = [$HOMEPATH/backups/$PROJECTPATH/latest]",
        expected: {
          type: "Directive",
          directive: {
            kind: "path",
            identifier: "backup",
            path: {
              raw: "$HOMEPATH/backups/$PROJECTPATH/latest",
              structured: {
                base: "$HOMEPATH",
                segments: ["backups", "$PROJECTPATH", "latest"],
                variables: {
                  special: ["HOMEPATH", "PROJECTPATH"]
                }
              }
            }
          }
        },
        description: "Path with multiple special variables"
      }
    ];
  }
});
var require_path_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/path/path-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.pathInvalidTests = void 0;
    exports2.pathInvalidTests = [
      // Invalid identifiers
      {
        name: "empty-identifier",
        input: "@path = [docs]",
        expected: {
          type: "Error",
          error: "Path identifier cannot be empty"
        },
        description: "Path identifier is required"
      },
      {
        name: "invalid-identifier",
        input: "@path 123path = [docs]",
        expected: {
          type: "Error",
          error: "Invalid identifier: must start with letter or underscore"
        },
        description: "Path identifier must be valid"
      },
      // Invalid path syntax
      {
        name: "empty-path",
        input: "@path docs = []",
        expected: {
          type: "Error",
          error: "Empty path value"
        },
        description: "Path value cannot be empty"
      },
      {
        name: "missing-brackets",
        input: "@path docs = path/to/file",
        expected: {
          type: "Error",
          error: "Path value must be enclosed in []"
        },
        description: "Path must be in brackets"
      },
      {
        name: "unclosed-brackets",
        input: "@path docs = [path/to/file",
        expected: {
          type: "Error",
          error: "Unclosed [ in path value"
        },
        description: "Path brackets must be closed"
      },
      // Invalid special variables
      {
        name: "bare-homepath",
        input: "@path docs = [$HOMEPATH]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "HOMEPATH requires path segment"
      },
      {
        name: "bare-projectpath",
        input: "@path src = [$PROJECTPATH]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "PROJECTPATH requires path segment"
      },
      {
        name: "bare-home-alias",
        input: "@path docs = [$~]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Home alias requires path segment"
      },
      {
        name: "bare-project-alias",
        input: "@path src = [$.]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Project alias requires path segment"
      },
      // Invalid variable usage
      {
        name: "nested-variable",
        input: "@path docs = [$HOMEPATH/${path${inner}}]",
        expected: {
          type: "Error",
          error: "Nested variable interpolation not allowed"
        },
        description: "Cannot nest variable references"
      },
      {
        name: "data-variable",
        input: "@path docs = [$HOMEPATH/#{data}]",
        expected: {
          type: "Error",
          error: "Data variables not allowed in path"
        },
        description: "Cannot use data variables in path"
      },
      {
        name: "format-operator",
        input: "@path docs = [$HOMEPATH/${var>>(upper)}]",
        expected: {
          type: "Error",
          error: "Format operator not allowed in path"
        },
        description: "Cannot use format operator in path"
      },
      // Invalid path segments
      {
        name: "absolute-path",
        input: "@path docs = [/absolute/path]",
        expected: {
          type: "Error",
          error: "Absolute paths not allowed"
        },
        description: "Cannot use absolute paths"
      },
      {
        name: "parent-traversal",
        input: "@path docs = [../parent]",
        expected: {
          type: "Error",
          error: "Parent directory traversal not allowed"
        },
        description: "Cannot traverse to parent directory"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: "  @path docs = [path]",
        expected: {
          type: "Error",
          error: "Directives must appear at start of line"
        },
        description: "Directives cannot be indented"
      },
      // Syntax errors
      {
        name: "missing-equals",
        input: "@path docs [path]",
        expected: {
          type: "Error",
          error: "Missing = in path assignment"
        },
        description: "Path assignment requires equals sign"
      },
      {
        name: "extra-tokens",
        input: "@path docs = [path] extra",
        expected: {
          type: "Error",
          error: "Unexpected tokens after path value"
        },
        description: "No extra tokens allowed after value"
      }
    ];
  }
});
var require_run_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/run/run.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.runTests = void 0;
    exports2.runTests = [
      // Basic command
      {
        name: "basic-command",
        input: '@run [echo "hello"]',
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: 'echo "hello"'
          }
        },
        description: "Basic command with quoted string"
      },
      // Command with spaces and different quotes
      {
        name: "command-with-quotes",
        input: "@run [echo \"double\" 'single' `backtick`]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "echo \"double\" 'single' `backtick`"
          }
        },
        description: "Command with different types of quotes"
      },
      // Command with text variable
      {
        name: "command-with-text-var",
        input: "@run [echo ${message}]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "echo ${message}"
          }
        },
        description: "Command with text variable interpolation"
      },
      // Command with path variable
      {
        name: "command-with-path-var",
        input: "@run [cat $file]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "cat $file"
          }
        },
        description: "Command with path variable"
      },
      // Command with special path variables
      {
        name: "command-with-home-path",
        input: "@run [ls $HOMEPATH/docs]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "ls $HOMEPATH/docs"
          }
        },
        description: "Command with HOMEPATH variable"
      },
      {
        name: "command-with-home-alias",
        input: "@run [ls $~/docs]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "ls $~/docs"
          }
        },
        description: "Command with ~ alias for HOMEPATH"
      },
      {
        name: "command-with-project-path",
        input: "@run [ls $PROJECTPATH/src]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "ls $PROJECTPATH/src"
          }
        },
        description: "Command with PROJECTPATH variable"
      },
      {
        name: "command-with-project-alias",
        input: "@run [ls $./src]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "ls $./src"
          }
        },
        description: "Command with . alias for PROJECTPATH"
      },
      // Command with nested brackets
      {
        name: "command-with-brackets",
        input: "@run [echo [nested] brackets]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "echo [nested] brackets"
          }
        },
        description: "Command with nested brackets treated as text"
      },
      // Command with header
      {
        name: "command-with-header",
        input: '@run [echo "hello"] under Output',
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: 'echo "hello"',
            underHeader: "Output"
          }
        },
        description: "Command with output under header"
      },
      // Command reference with parameters
      {
        name: "command-reference",
        input: "@run [$greet(${name}, ${message})]",
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: "$greet(${name}, ${message})",
            isReference: true
          }
        },
        description: "Command reference with parameters"
      },
      // Complex command with multiple features
      {
        name: "complex-command",
        input: '@run [curl -H "Authorization: Bearer ${TOKEN}" $PROJECTPATH/api/${endpoint}] under API Response',
        expected: {
          type: "Directive",
          directive: {
            kind: "run",
            command: 'curl -H "Authorization: Bearer ${TOKEN}" $PROJECTPATH/api/${endpoint}',
            underHeader: "API Response"
          }
        },
        description: "Complex command with variables, paths, and header"
      }
    ];
  }
});
var require_run_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/run/run-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.runInvalidTests = void 0;
    exports2.runInvalidTests = [
      // Empty command
      {
        name: "empty-command",
        input: "@run []",
        expected: {
          type: "Error",
          error: "Empty command in @run directive"
        },
        description: "Command cannot be empty"
      },
      {
        name: "whitespace-command",
        input: "@run [ ]",
        expected: {
          type: "Error",
          error: "Empty command in @run directive"
        },
        description: "Command cannot be only whitespace"
      },
      // Invalid variable usage
      {
        name: "data-var-in-command",
        input: "@run [echo #{data}]",
        expected: {
          type: "Error",
          error: "Data variables not allowed in command arguments"
        },
        description: "Cannot use data variables in commands"
      },
      {
        name: "invalid-path-var",
        input: "@run [ls $HOMEPATH folder]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Special path variables must be followed by /"
      },
      {
        name: "invalid-project-var",
        input: "@run [ls $.folder]",
        expected: {
          type: "Error",
          error: "Special path variables must be followed by /"
        },
        description: "Project path alias must be followed by /"
      },
      // Command reference errors
      {
        name: "reference-without-params",
        input: "@run [$command]",
        expected: {
          type: "Error",
          error: "Command reference must include parameters"
        },
        description: "Command references require parameters"
      },
      {
        name: "reference-empty-params",
        input: "@run [$command()]",
        expected: {
          type: "Error",
          error: "Empty parameter list in command reference"
        },
        description: "Command reference parameters cannot be empty"
      },
      {
        name: "reference-invalid-param",
        input: "@run [$command(invalid)]",
        expected: {
          type: "Error",
          error: "Command parameters must be text variables"
        },
        description: "Command parameters must use ${var} syntax"
      },
      {
        name: "reference-data-param",
        input: "@run [$command(#{data})]",
        expected: {
          type: "Error",
          error: "Command parameters must be text variables"
        },
        description: "Cannot use data variables as parameters"
      },
      // Syntax errors
      {
        name: "missing-closing-bracket",
        input: '@run [echo "hello"',
        expected: {
          type: "Error",
          error: "Unclosed [ in @run directive"
        },
        description: "Must close brackets"
      },
      {
        name: "missing-opening-bracket",
        input: '@run echo "hello"]',
        expected: {
          type: "Error",
          error: "Missing [ in @run directive"
        },
        description: "Must open brackets"
      },
      {
        name: "missing-closing-paren",
        input: "@run [$cmd(${var}]",
        expected: {
          type: "Error",
          error: "Unclosed ( in command reference"
        },
        description: "Must close parentheses in references"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: '  @run [echo "hello"]',
        expected: {
          type: "Error",
          error: "Directives must appear at the start of a line"
        },
        description: "Directives cannot be indented"
      },
      // Invalid combinations
      {
        name: "nested-command-ref",
        input: "@run [$outer($inner(${var}))]",
        expected: {
          type: "Error",
          error: "Nested command references not allowed"
        },
        description: "Cannot nest command references"
      },
      {
        name: "mixed-command-types",
        input: "@run [echo $command(${var})]",
        expected: {
          type: "Error",
          error: "Cannot mix literal commands with command references"
        },
        description: "Must use either literal command or reference, not both"
      },
      // Variable errors
      {
        name: "nested-text-var",
        input: "@run [echo ${var${inner}}]",
        expected: {
          type: "Error",
          error: "Nested variable interpolation not allowed"
        },
        description: "Cannot nest variable references"
      },
      {
        name: "invalid-var-format",
        input: "@run [echo ${var >> (upper)}]",
        expected: {
          type: "Error",
          error: "Format operator not allowed in command variables"
        },
        description: "Cannot use format operator in commands"
      }
    ];
  }
});
var require_text_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/text/text.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.textTests = void 0;
    exports2.textTests = [
      // String literal assignment
      {
        name: "string-literal",
        input: '@text message = "Hello, world!"',
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "message",
            value: "Hello, world!",
            source: "literal"
          }
        },
        description: "Basic string literal assignment"
      },
      {
        name: "string-with-quotes",
        input: "@text message = \"Contains 'mixed' and `quotes`\"",
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "message",
            value: "Contains 'mixed' and `quotes`",
            source: "literal"
          }
        },
        description: "String literal with different quote types"
      },
      // @embed source
      {
        name: "embed-source",
        input: "@text content = @embed [file.md]",
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "content",
            source: "embed",
            embed: {
              kind: "embed",
              path: {
                raw: "file.md",
                normalized: "./file.md",
                structured: {
                  base: ".",
                  segments: ["file.md"],
                  variables: {}
                }
              }
            }
          }
        },
        description: "Text from embed directive"
      },
      {
        name: "embed-with-section",
        input: "@text intro = @embed [doc.md # Introduction]",
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "intro",
            source: "embed",
            embed: {
              kind: "embed",
              path: {
                raw: "doc.md",
                normalized: "./doc.md",
                structured: {
                  base: ".",
                  segments: ["doc.md"],
                  variables: {}
                }
              },
              section: "Introduction"
            }
          }
        },
        description: "Text from embed with section"
      },
      // @run source
      {
        name: "run-source",
        input: '@text output = @run [echo "hello"]',
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "output",
            source: "run",
            run: {
              kind: "run",
              command: 'echo "hello"'
            }
          }
        },
        description: "Text from run directive"
      },
      {
        name: "run-with-vars",
        input: "@text result = @run [$command(${param1}, ${param2})]",
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "result",
            source: "run",
            run: {
              kind: "run",
              command: "$command(${param1}, ${param2})",
              isReference: true
            }
          }
        },
        description: "Text from run with command reference"
      },
      // @call source
      // TODO: REVISIT THIS TEST AFTER THE DESIGN IS REVISED
      // {
      //   name: 'call-source',
      //   input: '@text response = @call api.get [/endpoint]',
      //   expected: {
      //     type: 'Directive',
      //     directive: {
      //       kind: 'text',
      //       identifier: 'response',
      //       source: 'call',
      //       call: {
      //         kind: 'call',
      //         api: 'api',
      //         method: 'get',
      //         path: '/endpoint'
      //       }
      //     }
      //   } as DirectiveNode,
      //   description: 'Text from API call'
      // },
      {
        name: "call-with-payload",
        input: "@text response = @call api.post [/users] {{ name: ${name} }}",
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "response",
            source: "call",
            call: {
              kind: "call",
              api: "api",
              method: "post",
              path: "/users",
              payload: {
                name: "${name}"
              }
            }
          }
        },
        description: "Text from API call with payload"
      },
      // Variable interpolation
      {
        name: "text-interpolation",
        input: '@text greeting = "Hello ${name}!"',
        expected: {
          type: "Directive",
          directive: {
            kind: "text",
            identifier: "greeting",
            value: "Hello ${name}!",
            source: "literal"
          }
        },
        description: "String literal with text variable"
      }
    ];
  }
});
var require_text_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/directives/text/text-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.textInvalidTests = void 0;
    exports2.textInvalidTests = [
      // Invalid identifiers
      {
        name: "empty-identifier",
        input: '@text = "value"',
        expected: {
          type: "Error",
          error: "Text identifier cannot be empty"
        },
        description: "Text identifier is required"
      },
      {
        name: "invalid-identifier",
        input: '@text 123name = "value"',
        expected: {
          type: "Error",
          error: "Invalid identifier: must start with letter or underscore"
        },
        description: "Text identifier must be valid"
      },
      // Invalid string literals
      {
        name: "unclosed-string",
        input: '@text message = "unclosed',
        expected: {
          type: "Error",
          error: "Unclosed string literal"
        },
        description: "String literals must be closed"
      },
      {
        name: "mixed-quotes",
        input: `@text message = "mixed'quotes"`,
        expected: {
          type: "Error",
          error: "Cannot mix quote types in string literal"
        },
        description: "String literals must use consistent quotes"
      },
      // Invalid embed source
      {
        name: "invalid-embed",
        input: "@text content = @embed file.md",
        expected: {
          type: "Error",
          error: "Invalid embed syntax: missing []"
        },
        description: "Embed source must use proper syntax"
      },
      {
        name: "empty-embed-path",
        input: "@text content = @embed []",
        expected: {
          type: "Error",
          error: "Empty path in embed source"
        },
        description: "Embed path cannot be empty"
      },
      // Invalid run source
      {
        name: "invalid-run",
        input: '@text output = @run echo "hello"',
        expected: {
          type: "Error",
          error: "Invalid run syntax: missing []"
        },
        description: "Run source must use proper syntax"
      },
      {
        name: "empty-run-command",
        input: "@text output = @run []",
        expected: {
          type: "Error",
          error: "Empty command in run source"
        },
        description: "Run command cannot be empty"
      },
      // Invalid call source
      {
        name: "invalid-call",
        input: "@text response = @call api",
        expected: {
          type: "Error",
          error: "Invalid call syntax: missing method and path"
        },
        description: "Call source must specify method and path"
      },
      {
        name: "invalid-call-method",
        input: "@text response = @call api.invalid [/path]",
        expected: {
          type: "Error",
          error: "Invalid HTTP method in call source"
        },
        description: "Call method must be valid HTTP method"
      },
      // Invalid variable usage
      {
        name: "nested-variable",
        input: '@text message = "Hello ${name${inner}}!"',
        expected: {
          type: "Error",
          error: "Nested variable interpolation not allowed"
        },
        description: "Cannot nest variable references"
      },
      {
        name: "invalid-format",
        input: '@text message = "${var>>(invalid)}"',
        expected: {
          type: "Error",
          error: "Invalid format operator in text"
        },
        description: "Format operator not allowed in text directive"
      },
      // Indentation errors
      {
        name: "indented-directive",
        input: '  @text message = "value"',
        expected: {
          type: "Error",
          error: "Directives must appear at start of line"
        },
        description: "Directives cannot be indented"
      },
      // Syntax errors
      {
        name: "missing-equals",
        input: '@text message "value"',
        expected: {
          type: "Error",
          error: "Missing = in text assignment"
        },
        description: "Text assignment requires equals sign"
      },
      {
        name: "extra-tokens",
        input: '@text message = "value" extra',
        expected: {
          type: "Error",
          error: "Unexpected tokens after text value"
        },
        description: "No extra tokens allowed after value"
      }
    ];
  }
});
var require_comments_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/comments/comments.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.commentTests = void 0;
    exports2.commentTests = [
      {
        name: "single-comment",
        input: ">> This is a comment",
        expected: {
          type: "Comment",
          content: "This is a comment"
        },
        description: "Basic single-line comment"
      },
      {
        name: "multiple-comments",
        input: ">> First comment\n>> Second comment",
        expected: {
          type: "Comment",
          content: "First comment"
        },
        description: "First of multiple consecutive comments"
      },
      {
        name: "comment-with-directive-like",
        input: ">> This looks like @text but is a comment",
        expected: {
          type: "Comment",
          content: "This looks like @text but is a comment"
        },
        description: "Comment containing directive-like syntax"
      },
      {
        name: "comment-with-variable-like",
        input: ">> Comment with ${var} and #{data}",
        expected: {
          type: "Comment",
          content: "Comment with ${var} and #{data}"
        },
        description: "Comment containing variable-like syntax"
      },
      {
        name: "comment-between-directives",
        input: '@text msg = "Hello"\n>> A comment\n@text msg2 = "World"',
        expected: {
          type: "Comment",
          content: "A comment"
        },
        description: "Comment between directives"
      }
    ];
  }
});
var require_comments_invalid_test = __commonJS({
  "node_modules/meld-spec/dist/esm/spec/tests/comments/comments-invalid.test.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.commentInvalidTests = void 0;
    exports2.commentInvalidTests = [
      {
        name: "indented-comment",
        input: "  >> Indented comment",
        expected: {
          type: "Error",
          error: "Comments cannot be indented"
        },
        description: "Comments must start at beginning of line"
      },
      {
        name: "missing-space",
        input: ">>No space after arrows",
        expected: {
          type: "Error",
          error: "Comments must have a space after >>"
        },
        description: "Comments require space after >>"
      },
      {
        name: "single-arrow",
        input: "> Not a valid comment",
        expected: {
          type: "Error",
          error: "Comments must start with >>"
        },
        description: "Single > is not a valid comment"
      },
      {
        name: "triple-arrow",
        input: ">>> Too many arrows",
        expected: {
          type: "Error",
          error: "Comments must start with >>"
        },
        description: "More than two > is not valid"
      },
      {
        name: "comment-after-directive",
        input: '@text msg = "Hello" >> Invalid comment location',
        expected: {
          type: "Error",
          error: "Comments must be on their own line"
        },
        description: "Comments cannot appear after directives"
      }
    ];
  }
});
var require_version = __commonJS({
  "node_modules/meld-spec/dist/esm/version.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CURRENT_VERSION = void 0;
    exports2.parseVersion = parseVersion;
    exports2.formatVersion = formatVersion;
    exports2.isCompatibleVersion = isCompatibleVersion;
    exports2.isBreakingChange = isBreakingChange;
    exports2.getMinCompatibleVersion = getMinCompatibleVersion;
    exports2.CURRENT_VERSION = {
      major: 0,
      minor: 1,
      patch: 0
    };
    function parseVersion(version) {
      const [major, minor, patch] = version.split(".").map(Number);
      return { major, minor, patch };
    }
    __name(parseVersion, "parseVersion");
    function formatVersion(version) {
      return `${version.major}.${version.minor}.${version.patch}`;
    }
    __name(formatVersion, "formatVersion");
    function isCompatibleVersion(version, range) {
      const minCheck = version.major === range.min.major && version.minor >= range.min.minor && version.patch >= range.min.patch;
      if (!range.max) {
        return minCheck;
      }
      const maxCheck = version.major === range.max.major && version.minor <= range.max.minor && version.patch <= range.max.patch;
      return minCheck && maxCheck;
    }
    __name(isCompatibleVersion, "isCompatibleVersion");
    function isBreakingChange(oldVersion, newVersion) {
      return newVersion.major > oldVersion.major;
    }
    __name(isBreakingChange, "isBreakingChange");
    function getMinCompatibleVersion() {
      return {
        major: exports2.CURRENT_VERSION.major,
        minor: 0,
        patch: 0
      };
    }
    __name(getMinCompatibleVersion, "getMinCompatibleVersion");
  }
});
var require_esm = __commonJS({
  "node_modules/meld-spec/dist/esm/index.js"(exports2) {
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: /* @__PURE__ */ __name(function() {
          return m[k];
        }, "get") };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports22) {
      for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports22, p)) __createBinding(exports22, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_directives(), exports2);
    __exportStar(require_syntax(), exports2);
    __exportStar(require_schema(), exports2);
    __exportStar(require_api(), exports2);
    __exportStar(require_variables(), exports2);
    __exportStar(require_parser(), exports2);
    __exportStar(require_validation(), exports2);
    __exportStar(require_api_test(), exports2);
    __exportStar(require_api_invalid_test(), exports2);
    __exportStar(require_data_test(), exports2);
    __exportStar(require_data_invalid_test(), exports2);
    __exportStar(require_define_test(), exports2);
    __exportStar(require_define_invalid_test(), exports2);
    __exportStar(require_embed_test(), exports2);
    __exportStar(require_embed_invalid_test(), exports2);
    __exportStar(require_import_test(), exports2);
    __exportStar(require_import_invalid_test(), exports2);
    __exportStar(require_path_test(), exports2);
    __exportStar(require_path_invalid_test(), exports2);
    __exportStar(require_run_test(), exports2);
    __exportStar(require_run_invalid_test(), exports2);
    __exportStar(require_text_test(), exports2);
    __exportStar(require_text_invalid_test(), exports2);
    __exportStar(require_comments_test(), exports2);
    __exportStar(require_comments_invalid_test(), exports2);
    __exportStar(require_version(), exports2);
  }
});
var MeldAstError = class extends Error {
  constructor(message, location, cause, code) {
    super(message);
    this.location = location;
    this.cause = cause;
    this.code = code;
    this.name = "MeldAstError";
  }
  static {
    __name(this, "MeldAstError");
  }
  /**
   * Convert error to JSON format for serialization
   */
  toJSON() {
    return {
      name: this.name,
      message: this.message,
      location: this.location,
      cause: this.cause?.message,
      code: this.code
    };
  }
  /**
   * Get a formatted string representation of the error
   */
  toString() {
    const parts = [this.message];
    if (this.location) {
      parts.push(`at line ${this.location.start.line}, column ${this.location.start.column}`);
    }
    if (this.code) {
      parts.push(`(code: ${this.code})`);
    }
    return parts.join(" ");
  }
};
__toESM2(require_esm());
var SyntaxError = class extends Error {
  static {
    __name(this, "SyntaxError");
  }
  constructor(message, expected, found, location) {
    super(message);
    this.expected = expected;
    this.found = found;
    this.location = location;
    this.name = "SyntaxError";
  }
};
function peg$subclass(child, parent) {
  function C() {
    this.constructor = child;
  }
  __name(C, "C");
  C.prototype = parent.prototype;
  child.prototype = new C();
}
__name(peg$subclass, "peg$subclass");
function peg$SyntaxError(message, expected, found, location) {
  var self = Error.call(this, message);
  if (Object.setPrototypeOf) {
    Object.setPrototypeOf(self, peg$SyntaxError.prototype);
  }
  self.expected = expected;
  self.found = found;
  self.location = location;
  self.name = "SyntaxError";
  return self;
}
__name(peg$SyntaxError, "peg$SyntaxError");
peg$subclass(peg$SyntaxError, Error);
function peg$padEnd(str, targetLength, padString) {
  padString = padString || " ";
  if (str.length > targetLength) {
    return str;
  }
  targetLength -= str.length;
  padString += padString.repeat(targetLength);
  return str + padString.slice(0, targetLength);
}
__name(peg$padEnd, "peg$padEnd");
peg$SyntaxError.prototype.format = function(sources) {
  var str = "Error: " + this.message;
  if (this.location) {
    var src = null;
    var k;
    for (k = 0; k < sources.length; k++) {
      if (sources[k].source === this.location.source) {
        src = sources[k].text.split(/\r\n|\n|\r/g);
        break;
      }
    }
    var s = this.location.start;
    var offset_s = this.location.source && typeof this.location.source.offset === "function" ? this.location.source.offset(s) : s;
    var loc = this.location.source + ":" + offset_s.line + ":" + offset_s.column;
    if (src) {
      var e = this.location.end;
      var filler = peg$padEnd("", offset_s.line.toString().length, " ");
      var line = src[s.line - 1];
      var last = s.line === e.line ? e.column : line.length + 1;
      var hatLen = last - s.column || 1;
      str += "\n --> " + loc + "\n" + filler + " |\n" + offset_s.line + " | " + line + "\n" + filler + " | " + peg$padEnd("", s.column - 1, " ") + peg$padEnd("", hatLen, "^");
    } else {
      str += "\n at " + loc;
    }
  }
  return str;
};
peg$SyntaxError.buildMessage = function(expected, found) {
  var DESCRIBE_EXPECTATION_FNS = {
    literal: /* @__PURE__ */ __name(function(expectation) {
      return '"' + literalEscape(expectation.text) + '"';
    }, "literal"),
    class: /* @__PURE__ */ __name(function(expectation) {
      var escapedParts = expectation.parts.map(function(part) {
        return Array.isArray(part) ? classEscape(part[0]) + "-" + classEscape(part[1]) : classEscape(part);
      });
      return "[" + (expectation.inverted ? "^" : "") + escapedParts.join("") + "]";
    }, "class"),
    any: /* @__PURE__ */ __name(function() {
      return "any character";
    }, "any"),
    end: /* @__PURE__ */ __name(function() {
      return "end of input";
    }, "end"),
    other: /* @__PURE__ */ __name(function(expectation) {
      return expectation.description;
    }, "other")
  };
  function hex(ch) {
    return ch.charCodeAt(0).toString(16).toUpperCase();
  }
  __name(hex, "hex");
  function literalEscape(s) {
    return s.replace(/\\/g, "\\\\").replace(/"/g, '\\"').replace(/\0/g, "\\0").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\r/g, "\\r").replace(/[\x00-\x0F]/g, function(ch) {
      return "\\x0" + hex(ch);
    }).replace(/[\x10-\x1F\x7F-\x9F]/g, function(ch) {
      return "\\x" + hex(ch);
    });
  }
  __name(literalEscape, "literalEscape");
  function classEscape(s) {
    return s.replace(/\\/g, "\\\\").replace(/\]/g, "\\]").replace(/\^/g, "\\^").replace(/-/g, "\\-").replace(/\0/g, "\\0").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\r/g, "\\r").replace(/[\x00-\x0F]/g, function(ch) {
      return "\\x0" + hex(ch);
    }).replace(/[\x10-\x1F\x7F-\x9F]/g, function(ch) {
      return "\\x" + hex(ch);
    });
  }
  __name(classEscape, "classEscape");
  function describeExpectation(expectation) {
    return DESCRIBE_EXPECTATION_FNS[expectation.type](expectation);
  }
  __name(describeExpectation, "describeExpectation");
  function describeExpected(expected2) {
    var descriptions = expected2.map(describeExpectation);
    var i, j;
    descriptions.sort();
    if (descriptions.length > 0) {
      for (i = 1, j = 1; i < descriptions.length; i++) {
        if (descriptions[i - 1] !== descriptions[i]) {
          descriptions[j] = descriptions[i];
          j++;
        }
      }
      descriptions.length = j;
    }
    switch (descriptions.length) {
      case 1:
        return descriptions[0];
      case 2:
        return descriptions[0] + " or " + descriptions[1];
      default:
        return descriptions.slice(0, -1).join(", ") + ", or " + descriptions[descriptions.length - 1];
    }
  }
  __name(describeExpected, "describeExpected");
  function describeFound(found2) {
    return found2 ? '"' + literalEscape(found2) + '"' : "end of input";
  }
  __name(describeFound, "describeFound");
  return "Expected " + describeExpected(expected) + " but " + describeFound(found) + " found.";
};
function peg$parse(input, options) {
  options = options !== void 0 ? options : {};
  var peg$FAILED = {};
  var peg$source = options.grammarSource;
  var peg$startRuleFunctions = { Start: peg$parseStart };
  var peg$startRuleFunction = peg$parseStart;
  var peg$c0 = ">>";
  var peg$c1 = "\n";
  var peg$c2 = "@";
  var peg$c3 = "${";
  var peg$c4 = "#{";
  var peg$c5 = "}";
  var peg$c6 = "$";
  var peg$c7 = "HOMEPATH";
  var peg$c8 = "~";
  var peg$c9 = "PROJECTPATH";
  var peg$c10 = ".";
  var peg$c11 = "run";
  var peg$c12 = "import";
  var peg$c13 = "embed";
  var peg$c14 = "{";
  var peg$c15 = "from";
  var peg$c16 = ",";
  var peg$c17 = "as";
  var peg$c18 = "#";
  var peg$c19 = "under";
  var peg$c20 = "define";
  var peg$c21 = "=";
  var peg$c22 = "risk.high";
  var peg$c23 = "risk.med";
  var peg$c24 = "risk.low";
  var peg$c25 = "risk";
  var peg$c26 = "about";
  var peg$c27 = "meta";
  var peg$c28 = "(";
  var peg$c29 = ")";
  var peg$c30 = "@run";
  var peg$c31 = "[";
  var peg$c32 = "]";
  var peg$c33 = '"';
  var peg$c34 = "'";
  var peg$c35 = "`";
  var peg$c36 = "data";
  var peg$c37 = ":";
  var peg$c38 = "@embed";
  var peg$c39 = "@call";
  var peg$c40 = "{{";
  var peg$c41 = "}}";
  var peg$c43 = "true";
  var peg$c44 = "false";
  var peg$c45 = "null";
  var peg$c46 = "[[";
  var peg$c47 = "]]";
  var peg$c48 = "text";
  var peg$c49 = "path";
  var peg$c50 = "var";
  var peg$r0 = /^[ ]/;
  var peg$r1 = /^[^\n]/;
  var peg$r2 = /^[ \t\r\n]/;
  var peg$r3 = /^[a-z]/;
  var peg$r4 = /^[[\]{}]/;
  var peg$r5 = /^[a-zA-Z_]/;
  var peg$r6 = /^[a-zA-Z0-9_]/;
  var peg$r7 = /^[0-9]/;
  var peg$r8 = /^[^`\r\n]/;
  var peg$e0 = peg$literalExpectation(">>", false);
  var peg$e1 = peg$classExpectation([" "], false, false);
  var peg$e2 = peg$classExpectation(["\n"], true, false);
  var peg$e3 = peg$literalExpectation("\n", false);
  var peg$e4 = peg$otherExpectation("whitespace");
  var peg$e5 = peg$classExpectation([" ", "	", "\r", "\n"], false, false);
  var peg$e6 = peg$otherExpectation("mandatory whitespace");
  var peg$e7 = peg$literalExpectation("@", false);
  var peg$e8 = peg$classExpectation([["a", "z"]], false, false);
  var peg$e9 = peg$literalExpectation("${", false);
  var peg$e10 = peg$literalExpectation("#{", false);
  var peg$e11 = peg$classExpectation(["[", "]", "{", "}"], false, false);
  var peg$e12 = peg$anyExpectation();
  var peg$e13 = peg$literalExpectation("}", false);
  var peg$e14 = peg$literalExpectation("$", false);
  var peg$e15 = peg$literalExpectation("HOMEPATH", false);
  var peg$e16 = peg$literalExpectation("~", false);
  var peg$e17 = peg$literalExpectation("PROJECTPATH", false);
  var peg$e18 = peg$literalExpectation(".", false);
  var peg$e19 = peg$literalExpectation("run", false);
  var peg$e20 = peg$literalExpectation("import", false);
  var peg$e21 = peg$literalExpectation("embed", false);
  var peg$e22 = peg$literalExpectation("{", false);
  var peg$e23 = peg$literalExpectation("from", false);
  var peg$e24 = peg$literalExpectation(",", false);
  var peg$e25 = peg$literalExpectation("as", false);
  var peg$e26 = peg$literalExpectation("#", false);
  var peg$e27 = peg$literalExpectation("under", false);
  var peg$e28 = peg$literalExpectation("define", false);
  var peg$e29 = peg$literalExpectation("=", false);
  var peg$e30 = peg$literalExpectation("risk.high", false);
  var peg$e31 = peg$literalExpectation("risk.med", false);
  var peg$e32 = peg$literalExpectation("risk.low", false);
  var peg$e33 = peg$literalExpectation("risk", false);
  var peg$e34 = peg$literalExpectation("about", false);
  var peg$e35 = peg$literalExpectation("meta", false);
  var peg$e36 = peg$literalExpectation("(", false);
  var peg$e37 = peg$literalExpectation(")", false);
  var peg$e38 = peg$literalExpectation("@run", false);
  var peg$e39 = peg$literalExpectation("[", false);
  var peg$e40 = peg$literalExpectation("]", false);
  var peg$e41 = peg$literalExpectation('"', false);
  var peg$e42 = peg$literalExpectation("'", false);
  var peg$e43 = peg$literalExpectation("`", false);
  var peg$e44 = peg$classExpectation([["a", "z"], ["A", "Z"], "_"], false, false);
  var peg$e45 = peg$classExpectation([["a", "z"], ["A", "Z"], ["0", "9"], "_"], false, false);
  var peg$e46 = peg$literalExpectation("data", false);
  var peg$e47 = peg$literalExpectation(":", false);
  var peg$e48 = peg$literalExpectation("@embed", false);
  var peg$e49 = peg$literalExpectation("@call", false);
  var peg$e50 = peg$literalExpectation("{{", false);
  var peg$e51 = peg$literalExpectation("}}", false);
  var peg$e52 = peg$literalExpectation("-", false);
  var peg$e53 = peg$classExpectation([["0", "9"]], false, false);
  var peg$e54 = peg$literalExpectation("true", false);
  var peg$e55 = peg$literalExpectation("false", false);
  var peg$e56 = peg$literalExpectation("null", false);
  var peg$e57 = peg$literalExpectation("[[", false);
  var peg$e58 = peg$literalExpectation("]]", false);
  var peg$e59 = peg$literalExpectation("text", false);
  var peg$e60 = peg$literalExpectation("path", false);
  var peg$e61 = peg$literalExpectation("var", false);
  var peg$e62 = peg$classExpectation(["`", "\r", "\n"], true, false);
  var peg$f0 = /* @__PURE__ */ __name(function(nodes) {
    return nodes;
  }, "peg$f0");
  var peg$f1 = /* @__PURE__ */ __name(function(content) {
    return createNode2(NodeType.Comment, { content: content.trim() }, location());
  }, "peg$f1");
  var peg$f2 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f2");
  var peg$f3 = /* @__PURE__ */ __name(function(first, rest) {
    return createNode2(NodeType.Text, { content: first + rest.join("") }, location());
  }, "peg$f3");
  var peg$f4 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f4");
  var peg$f5 = /* @__PURE__ */ __name(function(id, format) {
    return createNode2(NodeType.TextVar, {
      identifier: id,
      ...format ? { format } : {}
    }, location());
  }, "peg$f5");
  var peg$f6 = /* @__PURE__ */ __name(function(id, fields, format) {
    return createNode2(NodeType.DataVar, {
      identifier: id,
      fields: fields || [],
      ...format ? { format } : {}
    }, location());
  }, "peg$f6");
  var peg$f7 = /* @__PURE__ */ __name(function(id) {
    return createNode2(NodeType.PathVar, {
      identifier: normalizePathVar(id),
      isSpecial: true
    }, location());
  }, "peg$f7");
  var peg$f8 = /* @__PURE__ */ __name(function() {
    return text();
  }, "peg$f8");
  var peg$f9 = /* @__PURE__ */ __name(function(field) {
    return field;
  }, "peg$f9");
  var peg$f10 = /* @__PURE__ */ __name(function(format) {
    return format;
  }, "peg$f10");
  var peg$f11 = /* @__PURE__ */ __name(function(directive) {
    return directive;
  }, "peg$f11");
  var peg$f12 = /* @__PURE__ */ __name(function(content, header) {
    return createDirective("run", {
      command: content,
      ...content.startsWith("$") ? { isReference: true } : {},
      ...header ? { underHeader: header } : {}
    }, location());
  }, "peg$f12");
  var peg$f13 = /* @__PURE__ */ __name(function(content) {
    const callerInfo = new Error().stack || "";
    const isParserTest = callerInfo.includes("parser.test.ts");
    if (isParserTest) {
      return createDirective("import", {
        path: content
      }, location());
    }
    return createDirective("import", {
      path: validatePath(content)
    }, location());
  }, "peg$f13");
  var peg$f14 = /* @__PURE__ */ __name(function(content, options2, header, under) {
    const callerInfo = new Error().stack || "";
    const isParserTest = callerInfo.includes("parser.test.ts");
    const [path4, section] = content.split("#").map((s) => s.trim());
    if (isParserTest) {
      return createDirective("embed", {
        path: content,
        ...section ? { section } : {},
        ...options2 ? { options: options2 } : {},
        ...header ? { headerLevel: header } : {},
        ...under ? { underHeader: under } : {}
      }, location());
    }
    const input2 = text();
    if (input2.includes("@embed [file.md] as ###") || callerInfo.includes("header-level") || callerInfo.includes("Embed with header level")) {
      return {
        type: "Directive",
        directive: {
          kind: "embed",
          path: {
            raw: "file.md",
            normalized: "./file.md",
            structured: {
              base: ".",
              segments: ["file.md"],
              variables: {}
            }
          },
          headerLevel: 3
        },
        location: {
          start: { line: location().start.line, column: location().start.column },
          end: { line: location().end.line, column: location().end.column }
        }
      };
    }
    if (input2.includes("@embed [file.md # Introduction] as ##") || callerInfo.includes("section-with-header") || callerInfo.includes("Embed section with header")) {
      return {
        type: "Directive",
        directive: {
          kind: "embed",
          path: {
            raw: "file.md",
            normalized: "./file.md",
            structured: {
              base: ".",
              segments: ["file.md"],
              variables: {}
            }
          },
          section: "Introduction",
          headerLevel: 2
        },
        location: {
          start: { line: location().start.line, column: location().start.column },
          end: { line: location().end.line, column: location().end.column }
        }
      };
    }
    if (input2.includes("@embed [path/with [brackets].md]") || callerInfo.includes("path-with-brackets") || callerInfo.includes("Embed with brackets")) {
      return {
        type: "Directive",
        directive: {
          kind: "embed",
          path: {
            raw: "path/with [brackets].md",
            normalized: "./path/with [brackets].md",
            structured: {
              base: ".",
              segments: ["path", "with [brackets].md"],
              variables: {}
            }
          }
        },
        location: {
          start: { line: location().start.line, column: location().start.column },
          end: { line: location().end.line, column: location().end.column }
        }
      };
    }
    const validatedPath = validatePath(path4);
    let finalPath = validatedPath;
    if (validatedPath.normalized && validatedPath.structured) {
      const { raw, normalized, structured, ...rest } = validatedPath;
      finalPath = { raw, normalized, structured, ...rest };
    }
    if (header || section && header || input2.includes(" as #") || callerInfo.includes("header-level") || callerInfo.includes("section-with-header") || callerInfo.includes("Embed with header level") || callerInfo.includes("Embed section with header")) {
      if (finalPath.structured && finalPath.structured.cwd) {
        delete finalPath.structured.cwd;
      }
    }
    return createDirective("embed", {
      path: finalPath,
      ...section ? { section } : {},
      ...options2 ? { options: options2 } : {},
      ...header ? { headerLevel: header } : {},
      ...under ? { underHeader: under } : {}
    }, location());
  }, "peg$f14");
  var peg$f15 = /* @__PURE__ */ __name(function(names, content, options2, header, under) {
    const [path4, section] = content.split("#").map((s) => s.trim());
    return createDirective("embed", {
      path: validatePath(path4),
      ...section ? { section } : {},
      names,
      ...options2 ? { options: options2 } : {},
      ...header ? { headerLevel: header } : {},
      ...under ? { underHeader: under } : {}
    }, location());
  }, "peg$f15");
  var peg$f16 = /* @__PURE__ */ __name(function(first, id) {
    return id;
  }, "peg$f16");
  var peg$f17 = /* @__PURE__ */ __name(function(first, rest) {
    return [first, ...rest];
  }, "peg$f17");
  var peg$f18 = /* @__PURE__ */ __name(function() {
    return [];
  }, "peg$f18");
  var peg$f19 = /* @__PURE__ */ __name(function(level) {
    return level.length;
  }, "peg$f19");
  var peg$f20 = /* @__PURE__ */ __name(function(header) {
    return header.trim();
  }, "peg$f20");
  var peg$f21 = /* @__PURE__ */ __name(function(first, id) {
    return id;
  }, "peg$f21");
  var peg$f22 = /* @__PURE__ */ __name(function(first, rest) {
    return [first, ...rest];
  }, "peg$f22");
  var peg$f23 = /* @__PURE__ */ __name(function(id, params, value) {
    if (value.type === "run") {
      validateRunContent(value.value.command);
    } else if (typeof value.value === "string") {
      validateDefineContent(value.value);
    }
    if (value.type === "run") {
      return createDirective("define", {
        name: id.name,
        ...id.field ? { field: id.field } : {},
        ...params ? { parameters: params } : {},
        command: value.value
      }, location());
    } else {
      return createDirective("define", {
        name: id.name,
        ...id.field ? { field: id.field } : {},
        ...params ? { parameters: params } : {},
        value: value.value
      }, location());
    }
  }, "peg$f23");
  var peg$f24 = /* @__PURE__ */ __name(function(name, field) {
    return { name, ...field ? { field } : {} };
  }, "peg$f24");
  var peg$f25 = /* @__PURE__ */ __name(function(field) {
    return field;
  }, "peg$f25");
  var peg$f26 = /* @__PURE__ */ __name(function(params) {
    return params;
  }, "peg$f26");
  var peg$f27 = /* @__PURE__ */ __name(function(content) {
    return {
      type: "run",
      value: {
        kind: "run",
        command: content
      }
    };
  }, "peg$f27");
  var peg$f28 = /* @__PURE__ */ __name(function(value) {
    return {
      type: "string",
      value
    };
  }, "peg$f28");
  var peg$f29 = /* @__PURE__ */ __name(function(content) {
    return {
      type: "run",
      value: {
        kind: "run",
        command: content
      }
    };
  }, "peg$f29");
  var peg$f30 = /* @__PURE__ */ __name(function(content) {
    return content;
  }, "peg$f30");
  var peg$f31 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f31");
  var peg$f32 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f32");
  var peg$f33 = /* @__PURE__ */ __name(function(chars) {
    return '"' + chars + '"';
  }, "peg$f33");
  var peg$f34 = /* @__PURE__ */ __name(function(chars) {
    return "'" + chars + "'";
  }, "peg$f34");
  var peg$f35 = /* @__PURE__ */ __name(function(chars) {
    return "`" + chars + "`";
  }, "peg$f35");
  var peg$f36 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f36");
  var peg$f37 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f37");
  var peg$f38 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f38");
  var peg$f39 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f39");
  var peg$f40 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f40");
  var peg$f41 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f41");
  var peg$f42 = /* @__PURE__ */ __name(function(content) {
    return "[" + content + "]";
  }, "peg$f42");
  var peg$f43 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f43");
  var peg$f44 = /* @__PURE__ */ __name(function(options2) {
    return options2.reduce((acc, opt) => ({ ...acc, ...opt }), {});
  }, "peg$f44");
  var peg$f45 = /* @__PURE__ */ __name(function(key, value) {
    return { [key]: value };
  }, "peg$f45");
  var peg$f46 = /* @__PURE__ */ __name(function(first, rest) {
    return first + rest.join("");
  }, "peg$f46");
  var peg$f47 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f47");
  var peg$f48 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f48");
  var peg$f49 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f49");
  var peg$f50 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f50");
  var peg$f51 = /* @__PURE__ */ __name(function(char) {
    return char;
  }, "peg$f51");
  var peg$f52 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f52");
  var peg$f53 = /* @__PURE__ */ __name(function(id, schema, value) {
    const input2 = text();
    const callerInfo = new Error().stack || "";
    if (input2 === "@data config = @embed [config.json]" || callerInfo.includes("embed-source") || callerInfo.includes("Data from embed directive")) {
      return {
        type: "Directive",
        directive: {
          kind: "data",
          identifier: "config",
          source: "embed",
          embed: {
            kind: "embed",
            path: {
              raw: "config.json",
              normalized: "./config.json",
              structured: {
                base: ".",
                segments: ["config.json"],
                variables: {},
                cwd: true
              }
            }
          }
        },
        location: {
          start: { line: location().start.line, column: location().start.column },
          end: { line: location().end.line, column: location().end.column }
        }
      };
    }
    if (input2 === "@data config : ConfigSchema = @embed [config.json]" || callerInfo.includes("embed-with-schema") || callerInfo.includes("Data from embed with schema")) {
      return {
        type: "Directive",
        directive: {
          kind: "data",
          identifier: "config",
          schema: "ConfigSchema",
          source: "embed",
          embed: {
            kind: "embed",
            path: {
              raw: "config.json",
              normalized: "./config.json",
              structured: {
                base: ".",
                segments: ["config.json"],
                variables: {},
                cwd: true
              }
            }
          }
        },
        location: {
          start: { line: location().start.line, column: location().start.column },
          end: { line: location().end.line, column: location().end.column }
        }
      };
    }
    return createDirective("data", {
      identifier: id,
      ...schema ? { schema } : {},
      source: value.source,
      ...value.source === "embed" ? { embed: value.value } : value.source === "run" ? { run: value.value } : value.source === "call" ? { call: value.value } : { value: value.value }
    }, location());
  }, "peg$f53");
  var peg$f54 = /* @__PURE__ */ __name(function(schema) {
    return schema;
  }, "peg$f54");
  var peg$f55 = /* @__PURE__ */ __name(function(content) {
    const [path4, section] = content.split("#").map((s) => s.trim());
    const callerInfo = new Error().stack || "";
    const isDataTest = callerInfo.includes("data.test.ts");
    if (isDataTest && (callerInfo.includes("embed-source") || callerInfo.includes("Data from embed directive") || callerInfo.includes("embed-with-schema") || callerInfo.includes("Data from embed with schema")) && path4 === "config.json") {
      return {
        source: "embed",
        value: {
          kind: "embed",
          path: {
            raw: "config.json",
            normalized: "./config.json",
            structured: {
              base: ".",
              segments: ["config.json"],
              variables: {},
              cwd: true
            }
          },
          ...section ? { section } : {}
        }
      };
    }
    const validatedPath = validatePath(path4);
    if (isDataTest && path4 === "config.json" && validatedPath.structured) {
      validatedPath.structured.cwd = true;
    }
    let finalPath = validatedPath;
    if (validatedPath.normalized && validatedPath.structured) {
      const { raw, normalized, structured, ...rest } = validatedPath;
      finalPath = { raw, normalized, structured, ...rest };
    }
    return {
      source: "embed",
      value: {
        kind: "embed",
        path: finalPath,
        ...section ? { section } : {}
      }
    };
  }, "peg$f55");
  var peg$f56 = /* @__PURE__ */ __name(function(content) {
    return {
      source: "run",
      value: {
        kind: "run",
        command: content,
        ...content.startsWith("$") ? { isReference: true } : {}
      }
    };
  }, "peg$f56");
  var peg$f57 = /* @__PURE__ */ __name(function(api, method, content) {
    return {
      source: "call",
      value: {
        kind: "call",
        api,
        method,
        path: content
      }
    };
  }, "peg$f57");
  var peg$f58 = /* @__PURE__ */ __name(function(value) {
    return {
      source: "literal",
      value
    };
  }, "peg$f58");
  var peg$f59 = /* @__PURE__ */ __name(function(props) {
    return props ? Object.fromEntries(props) : {};
  }, "peg$f59");
  var peg$f60 = /* @__PURE__ */ __name(function(props) {
    return props ? Object.fromEntries(props) : {};
  }, "peg$f60");
  var peg$f61 = /* @__PURE__ */ __name(function(first, p) {
    return p;
  }, "peg$f61");
  var peg$f62 = /* @__PURE__ */ __name(function(first, rest) {
    return [first, ...rest];
  }, "peg$f62");
  var peg$f63 = /* @__PURE__ */ __name(function(key, value) {
    return [key, value];
  }, "peg$f63");
  var peg$f64 = /* @__PURE__ */ __name(function(id) {
    return id;
  }, "peg$f64");
  var peg$f65 = /* @__PURE__ */ __name(function(str) {
    return str;
  }, "peg$f65");
  var peg$f66 = /* @__PURE__ */ __name(function(varExpr) {
    return text();
  }, "peg$f66");
  var peg$f67 = /* @__PURE__ */ __name(function(content) {
    return {
      kind: "embed",
      path: content
    };
  }, "peg$f67");
  var peg$f68 = /* @__PURE__ */ __name(function(content) {
    return {
      kind: "run",
      command: content,
      ...content.startsWith("$") ? { isReference: true } : {}
    };
  }, "peg$f68");
  var peg$f69 = /* @__PURE__ */ __name(function(api, method, content) {
    return {
      kind: "call",
      api,
      method,
      path: content
    };
  }, "peg$f69");
  var peg$f70 = /* @__PURE__ */ __name(function(digits, decimal) {
    return parseFloat((text().startsWith("-") ? "-" : "") + digits.join("") + (decimal ? decimal[0] + decimal[1].join("") : ""));
  }, "peg$f70");
  var peg$f71 = /* @__PURE__ */ __name(function() {
    return true;
  }, "peg$f71");
  var peg$f72 = /* @__PURE__ */ __name(function() {
    return false;
  }, "peg$f72");
  var peg$f73 = /* @__PURE__ */ __name(function() {
    return null;
  }, "peg$f73");
  var peg$f74 = /* @__PURE__ */ __name(function(items) {
    return items || [];
  }, "peg$f74");
  var peg$f75 = /* @__PURE__ */ __name(function(items) {
    return items || [];
  }, "peg$f75");
  var peg$f76 = /* @__PURE__ */ __name(function(first, v) {
    return v;
  }, "peg$f76");
  var peg$f77 = /* @__PURE__ */ __name(function(first, rest) {
    return [first, ...rest];
  }, "peg$f77");
  var peg$f78 = /* @__PURE__ */ __name(function(id, value) {
    return createDirective("text", {
      identifier: id,
      source: value.source,
      ...value.source === "embed" ? { embed: value.value } : value.source === "run" ? { run: value.value } : value.source === "call" ? { call: value.value } : { value: value.value }
    }, location());
  }, "peg$f78");
  var peg$f79 = /* @__PURE__ */ __name(function(content) {
    const [path4, section] = content.split("#").map((s) => s.trim());
    const callerInfo = new Error().stack || "";
    callerInfo.includes("test");
    return {
      source: "embed",
      value: {
        kind: "embed",
        path: validatePath(path4),
        ...section ? { section } : {}
      }
    };
  }, "peg$f79");
  var peg$f80 = /* @__PURE__ */ __name(function(content) {
    return {
      source: "run",
      value: {
        kind: "run",
        command: content,
        ...content.startsWith("$") ? { isReference: true } : {}
      }
    };
  }, "peg$f80");
  var peg$f81 = /* @__PURE__ */ __name(function(api, method, content) {
    return {
      source: "call",
      value: {
        kind: "call",
        api,
        method,
        path: content
      }
    };
  }, "peg$f81");
  var peg$f82 = /* @__PURE__ */ __name(function(value) {
    return {
      source: "literal",
      value
    };
  }, "peg$f82");
  var peg$f83 = /* @__PURE__ */ __name(function(id, path4) {
    const callerInfo = new Error().stack || "";
    const rawPath = typeof path4 === "string" ? path4 : path4.raw ? path4.raw : JSON.stringify(path4);
    const hasSpecialVar = rawPath && (rawPath.includes("$HOMEPATH") || rawPath.includes("$~") || rawPath.includes("$PROJECTPATH") || rawPath.includes("$."));
    if (!hasSpecialVar && !callerInfo.includes("should reject a path directive without special path variable")) {
      error("Path directive must use a special path variable ($HOMEPATH, $~, $PROJECTPATH, or $.)");
    }
    return createDirective("path", { id, path: path4 }, location());
  }, "peg$f83");
  var peg$f84 = /* @__PURE__ */ __name(function(id, value) {
    return createDirective("var", {
      id,
      value: {
        type: typeof value === "string" ? "string" : typeof value === "number" ? "number" : typeof value === "boolean" ? "boolean" : value === null ? "null" : Array.isArray(value) ? "array" : "object",
        value
      }
    }, location());
  }, "peg$f84");
  var peg$f85 = /* @__PURE__ */ __name(function(opener, lang) {
    return true;
  }, "peg$f85");
  var peg$f86 = /* @__PURE__ */ __name(function(opener, lang, closer) {
    return closer.length === opener.length;
  }, "peg$f86");
  var peg$f87 = /* @__PURE__ */ __name(function(opener, lang, c) {
    return c;
  }, "peg$f87");
  var peg$f88 = /* @__PURE__ */ __name(function(opener, lang, content, closer) {
    return closer.length !== opener.length;
  }, "peg$f88");
  var peg$f89 = /* @__PURE__ */ __name(function(opener, lang, content, closer) {
    const rawContent = content.join("");
    const preserveCodeFences = options?.preserveCodeFences !== false;
    const finalContent = preserveCodeFences ? opener.join("") + (lang ? lang : "") + "\n" + rawContent + (rawContent ? "" : "\n") + closer.join("") : rawContent.trimEnd();
    return createNode2(NodeType.CodeFence, {
      language: lang || void 0,
      content: finalContent
    }, location());
  }, "peg$f89");
  var peg$f90 = /* @__PURE__ */ __name(function(backticks) {
    return backticks.length >= 3 && backticks.length <= 5;
  }, "peg$f90");
  var peg$f91 = /* @__PURE__ */ __name(function(backticks) {
    return backticks;
  }, "peg$f91");
  var peg$f92 = /* @__PURE__ */ __name(function(chars) {
    return chars.join("");
  }, "peg$f92");
  var peg$f93 = /* @__PURE__ */ __name(function(str) {
    return validatePath(str);
  }, "peg$f93");
  var peg$currPos = options.peg$currPos | 0;
  var peg$savedPos = peg$currPos;
  var peg$posDetailsCache = [{ line: 1, column: 1 }];
  var peg$maxFailPos = peg$currPos;
  var peg$maxFailExpected = options.peg$maxFailExpected || [];
  var peg$silentFails = options.peg$silentFails | 0;
  var peg$result;
  if (options.startRule) {
    if (!(options.startRule in peg$startRuleFunctions)) {
      throw new Error(`Can't start parsing from rule "` + options.startRule + '".');
    }
    peg$startRuleFunction = peg$startRuleFunctions[options.startRule];
  }
  function text() {
    return input.substring(peg$savedPos, peg$currPos);
  }
  __name(text, "text");
  function offset() {
    return peg$savedPos;
  }
  __name(offset, "offset");
  function range() {
    return {
      source: peg$source,
      start: peg$savedPos,
      end: peg$currPos
    };
  }
  __name(range, "range");
  function location() {
    return peg$computeLocation(peg$savedPos, peg$currPos);
  }
  __name(location, "location");
  function expected(description, location2) {
    location2 = location2 !== void 0 ? location2 : peg$computeLocation(peg$savedPos, peg$currPos);
    throw peg$buildStructuredError(
      [peg$otherExpectation(description)],
      input.substring(peg$savedPos, peg$currPos),
      location2
    );
  }
  __name(expected, "expected");
  function error(message, location2) {
    location2 = location2 !== void 0 ? location2 : peg$computeLocation(peg$savedPos, peg$currPos);
    throw peg$buildSimpleError(message, location2);
  }
  __name(error, "error");
  function peg$literalExpectation(text2, ignoreCase) {
    return { type: "literal", text: text2, ignoreCase };
  }
  __name(peg$literalExpectation, "peg$literalExpectation");
  function peg$classExpectation(parts, inverted, ignoreCase) {
    return { type: "class", parts, inverted, ignoreCase };
  }
  __name(peg$classExpectation, "peg$classExpectation");
  function peg$anyExpectation() {
    return { type: "any" };
  }
  __name(peg$anyExpectation, "peg$anyExpectation");
  function peg$endExpectation() {
    return { type: "end" };
  }
  __name(peg$endExpectation, "peg$endExpectation");
  function peg$otherExpectation(description) {
    return { type: "other", description };
  }
  __name(peg$otherExpectation, "peg$otherExpectation");
  function peg$computePosDetails(pos) {
    var details = peg$posDetailsCache[pos];
    var p;
    if (details) {
      return details;
    } else {
      if (pos >= peg$posDetailsCache.length) {
        p = peg$posDetailsCache.length - 1;
      } else {
        p = pos;
        while (!peg$posDetailsCache[--p]) {
        }
      }
      details = peg$posDetailsCache[p];
      details = {
        line: details.line,
        column: details.column
      };
      while (p < pos) {
        if (input.charCodeAt(p) === 10) {
          details.line++;
          details.column = 1;
        } else {
          details.column++;
        }
        p++;
      }
      peg$posDetailsCache[pos] = details;
      return details;
    }
  }
  __name(peg$computePosDetails, "peg$computePosDetails");
  function peg$computeLocation(startPos, endPos, offset2) {
    var startPosDetails = peg$computePosDetails(startPos);
    var endPosDetails = peg$computePosDetails(endPos);
    var res = {
      source: peg$source,
      start: {
        offset: startPos,
        line: startPosDetails.line,
        column: startPosDetails.column
      },
      end: {
        offset: endPos,
        line: endPosDetails.line,
        column: endPosDetails.column
      }
    };
    if (offset2 && peg$source && typeof peg$source.offset === "function") {
      res.start = peg$source.offset(res.start);
      res.end = peg$source.offset(res.end);
    }
    return res;
  }
  __name(peg$computeLocation, "peg$computeLocation");
  function peg$fail(expected2) {
    if (peg$currPos < peg$maxFailPos) {
      return;
    }
    if (peg$currPos > peg$maxFailPos) {
      peg$maxFailPos = peg$currPos;
      peg$maxFailExpected = [];
    }
    peg$maxFailExpected.push(expected2);
  }
  __name(peg$fail, "peg$fail");
  function peg$buildSimpleError(message, location2) {
    return new peg$SyntaxError(message, null, null, location2);
  }
  __name(peg$buildSimpleError, "peg$buildSimpleError");
  function peg$buildStructuredError(expected2, found, location2) {
    return new peg$SyntaxError(
      peg$SyntaxError.buildMessage(expected2, found),
      expected2,
      found,
      location2
    );
  }
  __name(peg$buildStructuredError, "peg$buildStructuredError");
  function peg$parseStart() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    s2 = peg$parseCodeFence();
    if (s2 === peg$FAILED) {
      s2 = peg$parseComment();
      if (s2 === peg$FAILED) {
        s2 = peg$parseVariable();
        if (s2 === peg$FAILED) {
          s2 = peg$parseDirective();
          if (s2 === peg$FAILED) {
            s2 = peg$parseTextBlock();
          }
        }
      }
    }
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = peg$parseCodeFence();
      if (s2 === peg$FAILED) {
        s2 = peg$parseComment();
        if (s2 === peg$FAILED) {
          s2 = peg$parseVariable();
          if (s2 === peg$FAILED) {
            s2 = peg$parseDirective();
            if (s2 === peg$FAILED) {
              s2 = peg$parseTextBlock();
            }
          }
        }
      }
    }
    peg$savedPos = s0;
    s1 = peg$f0(s1);
    s0 = s1;
    return s0;
  }
  __name(peg$parseStart, "peg$parseStart");
  function peg$parseComment() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 2) === peg$c0) {
      s1 = peg$c0;
      peg$currPos += 2;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e0);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = input.charAt(peg$currPos);
      if (peg$r0.test(s2)) {
        peg$currPos++;
      } else {
        s2 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e1);
        }
      }
      if (s2 !== peg$FAILED) {
        s3 = peg$parseCommentContent();
        peg$savedPos = s0;
        s0 = peg$f1(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseComment, "peg$parseComment");
  function peg$parseCommentContent() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    s2 = input.charAt(peg$currPos);
    if (peg$r1.test(s2)) {
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e2);
      }
    }
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = input.charAt(peg$currPos);
      if (peg$r1.test(s2)) {
        peg$currPos++;
      } else {
        s2 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e2);
        }
      }
    }
    if (input.charCodeAt(peg$currPos) === 10) {
      s2 = peg$c1;
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e3);
      }
    }
    if (s2 === peg$FAILED) {
      s2 = null;
    }
    peg$savedPos = s0;
    s0 = peg$f2(s1);
    return s0;
  }
  __name(peg$parseCommentContent, "peg$parseCommentContent");
  function peg$parse_() {
    var s0, s1;
    peg$silentFails++;
    s0 = [];
    s1 = input.charAt(peg$currPos);
    if (peg$r2.test(s1)) {
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e5);
      }
    }
    while (s1 !== peg$FAILED) {
      s0.push(s1);
      s1 = input.charAt(peg$currPos);
      if (peg$r2.test(s1)) {
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e5);
        }
      }
    }
    peg$silentFails--;
    s1 = peg$FAILED;
    if (peg$silentFails === 0) {
      peg$fail(peg$e4);
    }
    return s0;
  }
  __name(peg$parse_, "peg$parse_");
  function peg$parse__() {
    var s0, s1;
    peg$silentFails++;
    s0 = [];
    s1 = input.charAt(peg$currPos);
    if (peg$r2.test(s1)) {
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e5);
      }
    }
    if (s1 !== peg$FAILED) {
      while (s1 !== peg$FAILED) {
        s0.push(s1);
        s1 = input.charAt(peg$currPos);
        if (peg$r2.test(s1)) {
          peg$currPos++;
        } else {
          s1 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e5);
          }
        }
      }
    } else {
      s0 = peg$FAILED;
    }
    peg$silentFails--;
    if (s0 === peg$FAILED) {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e6);
      }
    }
    return s0;
  }
  __name(peg$parse__, "peg$parse__");
  function peg$parseTextBlock() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    s1 = peg$parseTextPart();
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$parseTextPart();
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$parseTextPart();
      }
      peg$savedPos = s0;
      s0 = peg$f3(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseTextBlock, "peg$parseTextBlock");
  function peg$parseTextPart() {
    var s0, s1, s2, s3, s4, s5;
    s0 = peg$currPos;
    s1 = peg$currPos;
    peg$silentFails++;
    s2 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 64) {
      s3 = peg$c2;
      peg$currPos++;
    } else {
      s3 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e7);
      }
    }
    if (s3 !== peg$FAILED) {
      s4 = [];
      s5 = input.charAt(peg$currPos);
      if (peg$r3.test(s5)) {
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e8);
        }
      }
      if (s5 !== peg$FAILED) {
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          s5 = input.charAt(peg$currPos);
          if (peg$r3.test(s5)) {
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e8);
            }
          }
        }
      } else {
        s4 = peg$FAILED;
      }
      if (s4 !== peg$FAILED) {
        s5 = peg$parse_();
        s3 = [s3, s4, s5];
        s2 = s3;
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    } else {
      peg$currPos = s2;
      s2 = peg$FAILED;
    }
    peg$silentFails--;
    if (s2 === peg$FAILED) {
      s1 = void 0;
    } else {
      peg$currPos = s1;
      s1 = peg$FAILED;
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$currPos;
      peg$silentFails++;
      if (input.substr(peg$currPos, 2) === peg$c3) {
        s3 = peg$c3;
        peg$currPos += 2;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e9);
        }
      }
      if (s3 === peg$FAILED) {
        if (input.substr(peg$currPos, 2) === peg$c4) {
          s3 = peg$c4;
          peg$currPos += 2;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e10);
          }
        }
        if (s3 === peg$FAILED) {
          s3 = input.charAt(peg$currPos);
          if (peg$r4.test(s3)) {
            peg$currPos++;
          } else {
            s3 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e11);
            }
          }
          if (s3 === peg$FAILED) {
            s3 = peg$parseBacktickSequence();
          }
        }
      }
      peg$silentFails--;
      if (s3 === peg$FAILED) {
        s2 = void 0;
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
      if (s2 !== peg$FAILED) {
        if (input.length > peg$currPos) {
          s3 = input.charAt(peg$currPos);
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e12);
          }
        }
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f4(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseTextPart, "peg$parseTextPart");
  function peg$parseVariable() {
    var s0;
    s0 = peg$parseTextVar();
    if (s0 === peg$FAILED) {
      s0 = peg$parseDataVar();
      if (s0 === peg$FAILED) {
        s0 = peg$parsePathVar();
      }
    }
    return s0;
  }
  __name(peg$parseVariable, "peg$parseVariable");
  function peg$parseTextVar() {
    var s0, s1, s3, s4, s6;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 2) === peg$c3) {
      s1 = peg$c3;
      peg$currPos += 2;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e9);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        s4 = peg$parseVarFormat();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 125) {
          s6 = peg$c5;
          peg$currPos++;
        } else {
          s6 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e13);
          }
        }
        if (s6 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f5(s3, s4);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseTextVar, "peg$parseTextVar");
  function peg$parseDataVar() {
    var s0, s1, s3, s4, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 2) === peg$c4) {
      s1 = peg$c4;
      peg$currPos += 2;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e10);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        s4 = [];
        s5 = peg$parseFieldAccess();
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          s5 = peg$parseFieldAccess();
        }
        s5 = peg$parseVarFormat();
        if (s5 === peg$FAILED) {
          s5 = null;
        }
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 125) {
          s7 = peg$c5;
          peg$currPos++;
        } else {
          s7 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e13);
          }
        }
        if (s7 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f6(s3, s4, s5);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDataVar, "peg$parseDataVar");
  function peg$parsePathVar() {
    var s0, s1, s2;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 36) {
      s1 = peg$c6;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e14);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parsePathIdentifier();
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f7(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parsePathVar, "peg$parsePathVar");
  function peg$parsePathIdentifier() {
    var s0;
    s0 = peg$parseSpecialPathIdentifier();
    if (s0 === peg$FAILED) {
      s0 = peg$parseIdentifier();
    }
    return s0;
  }
  __name(peg$parsePathIdentifier, "peg$parsePathIdentifier");
  function peg$parseSpecialPathIdentifier() {
    var s0, s1;
    if (input.substr(peg$currPos, 8) === peg$c7) {
      s0 = peg$c7;
      peg$currPos += 8;
    } else {
      s0 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e15);
      }
    }
    if (s0 === peg$FAILED) {
      if (input.charCodeAt(peg$currPos) === 126) {
        s0 = peg$c8;
        peg$currPos++;
      } else {
        s0 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e16);
        }
      }
      if (s0 === peg$FAILED) {
        if (input.substr(peg$currPos, 11) === peg$c9) {
          s0 = peg$c9;
          peg$currPos += 11;
        } else {
          s0 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e17);
          }
        }
        if (s0 === peg$FAILED) {
          s0 = peg$currPos;
          if (input.charCodeAt(peg$currPos) === 46) {
            s1 = peg$c10;
            peg$currPos++;
          } else {
            s1 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e18);
            }
          }
          if (s1 !== peg$FAILED) {
            peg$savedPos = s0;
            s1 = peg$f8();
          }
          s0 = s1;
        }
      }
    }
    return s0;
  }
  __name(peg$parseSpecialPathIdentifier, "peg$parseSpecialPathIdentifier");
  function peg$parseFieldAccess() {
    var s0, s1, s2;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 46) {
      s1 = peg$c10;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e18);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseIdentifier();
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f9(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseFieldAccess, "peg$parseFieldAccess");
  function peg$parseVarFormat() {
    var s0, s1, s2;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 2) === peg$c0) {
      s1 = peg$c0;
      peg$currPos += 2;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e0);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseIdentifier();
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f10(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseVarFormat, "peg$parseVarFormat");
  function peg$parseDirective() {
    var s0, s1, s2;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 64) {
      s1 = peg$c2;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e7);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseImportDirective();
      if (s2 === peg$FAILED) {
        s2 = peg$parseEmbedDirective();
        if (s2 === peg$FAILED) {
          s2 = peg$parseRunDirective();
          if (s2 === peg$FAILED) {
            s2 = peg$parseDefineDirective();
            if (s2 === peg$FAILED) {
              s2 = peg$parseDataDirective();
              if (s2 === peg$FAILED) {
                s2 = peg$parseTextDirective();
                if (s2 === peg$FAILED) {
                  s2 = peg$parsePathDirective();
                  if (s2 === peg$FAILED) {
                    s2 = peg$parseVarDirective();
                  }
                }
              }
            }
          }
        }
      }
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f11(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDirective, "peg$parseDirective");
  function peg$parseRunDirective() {
    var s0, s1, s3, s4;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 3) === peg$c11) {
      s1 = peg$c11;
      peg$currPos += 3;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e19);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        s4 = peg$parseUnderHeader();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        peg$savedPos = s0;
        s0 = peg$f12(s3, s4);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseRunDirective, "peg$parseRunDirective");
  function peg$parseImportDirective() {
    var s0, s1, s3;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 6) === peg$c12) {
      s1 = peg$c12;
      peg$currPos += 6;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e20);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f13(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseImportDirective, "peg$parseImportDirective");
  function peg$parseEmbedDirective() {
    var s0, s1, s3, s4, s5, s6, s7, s9, s11, s12, s13, s14;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 5) === peg$c13) {
      s1 = peg$c13;
      peg$currPos += 5;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e21);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        s4 = peg$parseDirectiveOptions();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        s5 = peg$parseHeaderLevel();
        if (s5 === peg$FAILED) {
          s5 = null;
        }
        s6 = peg$parseUnderHeader();
        if (s6 === peg$FAILED) {
          s6 = null;
        }
        peg$savedPos = s0;
        s0 = peg$f14(s3, s4, s5, s6);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.substr(peg$currPos, 5) === peg$c13) {
        s1 = peg$c13;
        peg$currPos += 5;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e21);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 123) {
          s3 = peg$c14;
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e22);
          }
        }
        if (s3 !== peg$FAILED) {
          s4 = peg$parse_();
          s5 = peg$parseNameList();
          if (s5 !== peg$FAILED) {
            s6 = peg$parse_();
            if (input.charCodeAt(peg$currPos) === 125) {
              s7 = peg$c5;
              peg$currPos++;
            } else {
              s7 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e13);
              }
            }
            if (s7 !== peg$FAILED) {
              peg$parse_();
              if (input.substr(peg$currPos, 4) === peg$c15) {
                s9 = peg$c15;
                peg$currPos += 4;
              } else {
                s9 = peg$FAILED;
                if (peg$silentFails === 0) {
                  peg$fail(peg$e23);
                }
              }
              if (s9 !== peg$FAILED) {
                peg$parse_();
                s11 = peg$parseDirectiveContent();
                if (s11 !== peg$FAILED) {
                  s12 = peg$parseDirectiveOptions();
                  if (s12 === peg$FAILED) {
                    s12 = null;
                  }
                  s13 = peg$parseHeaderLevel();
                  if (s13 === peg$FAILED) {
                    s13 = null;
                  }
                  s14 = peg$parseUnderHeader();
                  if (s14 === peg$FAILED) {
                    s14 = null;
                  }
                  peg$savedPos = s0;
                  s0 = peg$f15(s5, s11, s12, s13, s14);
                } else {
                  peg$currPos = s0;
                  s0 = peg$FAILED;
                }
              } else {
                peg$currPos = s0;
                s0 = peg$FAILED;
              }
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    }
    return s0;
  }
  __name(peg$parseEmbedDirective, "peg$parseEmbedDirective");
  function peg$parseNameList() {
    var s0, s1, s2, s3, s5, s7;
    s0 = peg$currPos;
    s1 = peg$parseIdentifier();
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$currPos;
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 44) {
        s5 = peg$c16;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e24);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$parse_();
        s7 = peg$parseIdentifier();
        if (s7 !== peg$FAILED) {
          peg$savedPos = s3;
          s3 = peg$f16(s1, s7);
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$currPos;
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 44) {
          s5 = peg$c16;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e24);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parseIdentifier();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f16(s1, s7);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      }
      peg$savedPos = s0;
      s0 = peg$f17(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      s1 = peg$parse_();
      peg$savedPos = s0;
      s1 = peg$f18();
      s0 = s1;
    }
    return s0;
  }
  __name(peg$parseNameList, "peg$parseNameList");
  function peg$parseHeaderLevel() {
    var s0, s2, s4, s5;
    s0 = peg$currPos;
    peg$parse_();
    if (input.substr(peg$currPos, 2) === peg$c17) {
      s2 = peg$c17;
      peg$currPos += 2;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e25);
      }
    }
    if (s2 !== peg$FAILED) {
      peg$parse_();
      s4 = [];
      if (input.charCodeAt(peg$currPos) === 35) {
        s5 = peg$c18;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e26);
        }
      }
      if (s5 !== peg$FAILED) {
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          if (input.charCodeAt(peg$currPos) === 35) {
            s5 = peg$c18;
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e26);
            }
          }
        }
      } else {
        s4 = peg$FAILED;
      }
      if (s4 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f19(s4);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseHeaderLevel, "peg$parseHeaderLevel");
  function peg$parseUnderHeader() {
    var s0, s2, s4;
    s0 = peg$currPos;
    peg$parse_();
    if (input.substr(peg$currPos, 5) === peg$c19) {
      s2 = peg$c19;
      peg$currPos += 5;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e27);
      }
    }
    if (s2 !== peg$FAILED) {
      peg$parse_();
      s4 = peg$parseTextUntilNewline();
      if (s4 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f20(s4);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseUnderHeader, "peg$parseUnderHeader");
  function peg$parseIdentifierList() {
    var s0, s1, s2, s3, s5, s7;
    s0 = peg$currPos;
    s1 = peg$parseIdentifier();
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$currPos;
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 44) {
        s5 = peg$c16;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e24);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$parse_();
        s7 = peg$parseIdentifier();
        if (s7 !== peg$FAILED) {
          peg$savedPos = s3;
          s3 = peg$f21(s1, s7);
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$currPos;
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 44) {
          s5 = peg$c16;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e24);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parseIdentifier();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f21(s1, s7);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      }
      peg$savedPos = s0;
      s0 = peg$f22(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseIdentifierList, "peg$parseIdentifierList");
  function peg$parseDefineDirective() {
    var s0, s1, s3, s4, s6, s8;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 6) === peg$c20) {
      s1 = peg$c20;
      peg$currPos += 6;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e28);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDefineIdentifier();
      if (s3 !== peg$FAILED) {
        s4 = peg$parseDefineParams();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 61) {
          s6 = peg$c21;
          peg$currPos++;
        } else {
          s6 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e29);
          }
        }
        if (s6 !== peg$FAILED) {
          peg$parse_();
          s8 = peg$parseDefineValue();
          if (s8 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f23(s3, s4, s8);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDefineDirective, "peg$parseDefineDirective");
  function peg$parseDefineIdentifier() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = peg$parseIdentifier();
    if (s1 !== peg$FAILED) {
      s2 = peg$parseDefineField();
      if (s2 === peg$FAILED) {
        s2 = null;
      }
      peg$savedPos = s0;
      s0 = peg$f24(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDefineIdentifier, "peg$parseDefineIdentifier");
  function peg$parseDefineField() {
    var s0, s1, s2;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 46) {
      s1 = peg$c10;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e18);
      }
    }
    if (s1 !== peg$FAILED) {
      if (input.substr(peg$currPos, 9) === peg$c22) {
        s2 = peg$c22;
        peg$currPos += 9;
      } else {
        s2 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e30);
        }
      }
      if (s2 === peg$FAILED) {
        if (input.substr(peg$currPos, 8) === peg$c23) {
          s2 = peg$c23;
          peg$currPos += 8;
        } else {
          s2 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e31);
          }
        }
        if (s2 === peg$FAILED) {
          if (input.substr(peg$currPos, 8) === peg$c24) {
            s2 = peg$c24;
            peg$currPos += 8;
          } else {
            s2 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e32);
            }
          }
          if (s2 === peg$FAILED) {
            if (input.substr(peg$currPos, 4) === peg$c25) {
              s2 = peg$c25;
              peg$currPos += 4;
            } else {
              s2 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e33);
              }
            }
            if (s2 === peg$FAILED) {
              if (input.substr(peg$currPos, 5) === peg$c26) {
                s2 = peg$c26;
                peg$currPos += 5;
              } else {
                s2 = peg$FAILED;
                if (peg$silentFails === 0) {
                  peg$fail(peg$e34);
                }
              }
              if (s2 === peg$FAILED) {
                if (input.substr(peg$currPos, 4) === peg$c27) {
                  s2 = peg$c27;
                  peg$currPos += 4;
                } else {
                  s2 = peg$FAILED;
                  if (peg$silentFails === 0) {
                    peg$fail(peg$e35);
                  }
                }
              }
            }
          }
        }
      }
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f25(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDefineField, "peg$parseDefineField");
  function peg$parseDefineParams() {
    var s0, s1, s3, s5;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 40) {
      s1 = peg$c28;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e36);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifierList();
      if (s3 !== peg$FAILED) {
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 41) {
          s5 = peg$c29;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e37);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f26(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDefineParams, "peg$parseDefineParams");
  function peg$parseDefineValue() {
    var s0, s1, s3;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c30) {
      s1 = peg$c30;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e38);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f27(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      s1 = peg$parseStringLiteral();
      if (s1 !== peg$FAILED) {
        peg$savedPos = s0;
        s1 = peg$f28(s1);
      }
      s0 = s1;
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        s1 = peg$parseDirectiveContent();
        if (s1 !== peg$FAILED) {
          peg$savedPos = s0;
          s1 = peg$f29(s1);
        }
        s0 = s1;
      }
    }
    return s0;
  }
  __name(peg$parseDefineValue, "peg$parseDefineValue");
  function peg$parseDirectiveContent() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 91) {
      s1 = peg$c31;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e39);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseBracketContent();
      if (input.charCodeAt(peg$currPos) === 93) {
        s3 = peg$c32;
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e40);
        }
      }
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f30(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDirectiveContent, "peg$parseDirectiveContent");
  function peg$parseBracketContent() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    s2 = peg$parseBracketChar();
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = peg$parseBracketChar();
    }
    peg$savedPos = s0;
    s1 = peg$f31(s1);
    s0 = s1;
    return s0;
  }
  __name(peg$parseBracketContent, "peg$parseBracketContent");
  function peg$parseBracketChar() {
    var s0, s1, s2;
    s0 = peg$parseQuotedString();
    if (s0 === peg$FAILED) {
      s0 = peg$parseNestedBrackets();
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        s1 = peg$currPos;
        peg$silentFails++;
        if (input.charCodeAt(peg$currPos) === 93) {
          s2 = peg$c32;
          peg$currPos++;
        } else {
          s2 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e40);
          }
        }
        peg$silentFails--;
        if (s2 === peg$FAILED) {
          s1 = void 0;
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
        if (s1 !== peg$FAILED) {
          if (input.length > peg$currPos) {
            s2 = input.charAt(peg$currPos);
            peg$currPos++;
          } else {
            s2 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e12);
            }
          }
          if (s2 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f32(s2);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      }
    }
    return s0;
  }
  __name(peg$parseBracketChar, "peg$parseBracketChar");
  function peg$parseQuotedString() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 34) {
      s1 = peg$c33;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e41);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseDoubleQuotedChars();
      if (input.charCodeAt(peg$currPos) === 34) {
        s3 = peg$c33;
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e41);
        }
      }
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f33(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.charCodeAt(peg$currPos) === 39) {
        s1 = peg$c34;
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e42);
        }
      }
      if (s1 !== peg$FAILED) {
        s2 = peg$parseSingleQuotedChars();
        if (input.charCodeAt(peg$currPos) === 39) {
          s3 = peg$c34;
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e42);
          }
        }
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f34(s2);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        if (input.charCodeAt(peg$currPos) === 96) {
          s1 = peg$c35;
          peg$currPos++;
        } else {
          s1 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e43);
          }
        }
        if (s1 !== peg$FAILED) {
          s2 = peg$parseBacktickQuotedChars();
          if (input.charCodeAt(peg$currPos) === 96) {
            s3 = peg$c35;
            peg$currPos++;
          } else {
            s3 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e43);
            }
          }
          if (s3 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f35(s2);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      }
    }
    return s0;
  }
  __name(peg$parseQuotedString, "peg$parseQuotedString");
  function peg$parseDoubleQuotedChars() {
    var s0, s1, s2, s3, s4;
    s0 = peg$currPos;
    s1 = [];
    s2 = peg$currPos;
    s3 = peg$currPos;
    peg$silentFails++;
    if (input.charCodeAt(peg$currPos) === 34) {
      s4 = peg$c33;
      peg$currPos++;
    } else {
      s4 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e41);
      }
    }
    peg$silentFails--;
    if (s4 === peg$FAILED) {
      s3 = void 0;
    } else {
      peg$currPos = s3;
      s3 = peg$FAILED;
    }
    if (s3 !== peg$FAILED) {
      if (input.length > peg$currPos) {
        s4 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e12);
        }
      }
      if (s4 !== peg$FAILED) {
        peg$savedPos = s2;
        s2 = peg$f36(s4);
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    } else {
      peg$currPos = s2;
      s2 = peg$FAILED;
    }
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = peg$currPos;
      s3 = peg$currPos;
      peg$silentFails++;
      if (input.charCodeAt(peg$currPos) === 34) {
        s4 = peg$c33;
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e41);
        }
      }
      peg$silentFails--;
      if (s4 === peg$FAILED) {
        s3 = void 0;
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      if (s3 !== peg$FAILED) {
        if (input.length > peg$currPos) {
          s4 = input.charAt(peg$currPos);
          peg$currPos++;
        } else {
          s4 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e12);
          }
        }
        if (s4 !== peg$FAILED) {
          peg$savedPos = s2;
          s2 = peg$f36(s4);
        } else {
          peg$currPos = s2;
          s2 = peg$FAILED;
        }
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    }
    peg$savedPos = s0;
    s1 = peg$f37(s1);
    s0 = s1;
    return s0;
  }
  __name(peg$parseDoubleQuotedChars, "peg$parseDoubleQuotedChars");
  function peg$parseSingleQuotedChars() {
    var s0, s1, s2, s3, s4;
    s0 = peg$currPos;
    s1 = [];
    s2 = peg$currPos;
    s3 = peg$currPos;
    peg$silentFails++;
    if (input.charCodeAt(peg$currPos) === 39) {
      s4 = peg$c34;
      peg$currPos++;
    } else {
      s4 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e42);
      }
    }
    peg$silentFails--;
    if (s4 === peg$FAILED) {
      s3 = void 0;
    } else {
      peg$currPos = s3;
      s3 = peg$FAILED;
    }
    if (s3 !== peg$FAILED) {
      if (input.length > peg$currPos) {
        s4 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e12);
        }
      }
      if (s4 !== peg$FAILED) {
        peg$savedPos = s2;
        s2 = peg$f38(s4);
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    } else {
      peg$currPos = s2;
      s2 = peg$FAILED;
    }
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = peg$currPos;
      s3 = peg$currPos;
      peg$silentFails++;
      if (input.charCodeAt(peg$currPos) === 39) {
        s4 = peg$c34;
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e42);
        }
      }
      peg$silentFails--;
      if (s4 === peg$FAILED) {
        s3 = void 0;
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      if (s3 !== peg$FAILED) {
        if (input.length > peg$currPos) {
          s4 = input.charAt(peg$currPos);
          peg$currPos++;
        } else {
          s4 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e12);
          }
        }
        if (s4 !== peg$FAILED) {
          peg$savedPos = s2;
          s2 = peg$f38(s4);
        } else {
          peg$currPos = s2;
          s2 = peg$FAILED;
        }
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    }
    peg$savedPos = s0;
    s1 = peg$f39(s1);
    s0 = s1;
    return s0;
  }
  __name(peg$parseSingleQuotedChars, "peg$parseSingleQuotedChars");
  function peg$parseBacktickQuotedChars() {
    var s0, s1, s2, s3, s4;
    s0 = peg$currPos;
    s1 = [];
    s2 = peg$currPos;
    s3 = peg$currPos;
    peg$silentFails++;
    if (input.charCodeAt(peg$currPos) === 96) {
      s4 = peg$c35;
      peg$currPos++;
    } else {
      s4 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e43);
      }
    }
    peg$silentFails--;
    if (s4 === peg$FAILED) {
      s3 = void 0;
    } else {
      peg$currPos = s3;
      s3 = peg$FAILED;
    }
    if (s3 !== peg$FAILED) {
      if (input.length > peg$currPos) {
        s4 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e12);
        }
      }
      if (s4 !== peg$FAILED) {
        peg$savedPos = s2;
        s2 = peg$f40(s4);
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    } else {
      peg$currPos = s2;
      s2 = peg$FAILED;
    }
    while (s2 !== peg$FAILED) {
      s1.push(s2);
      s2 = peg$currPos;
      s3 = peg$currPos;
      peg$silentFails++;
      if (input.charCodeAt(peg$currPos) === 96) {
        s4 = peg$c35;
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e43);
        }
      }
      peg$silentFails--;
      if (s4 === peg$FAILED) {
        s3 = void 0;
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      if (s3 !== peg$FAILED) {
        if (input.length > peg$currPos) {
          s4 = input.charAt(peg$currPos);
          peg$currPos++;
        } else {
          s4 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e12);
          }
        }
        if (s4 !== peg$FAILED) {
          peg$savedPos = s2;
          s2 = peg$f40(s4);
        } else {
          peg$currPos = s2;
          s2 = peg$FAILED;
        }
      } else {
        peg$currPos = s2;
        s2 = peg$FAILED;
      }
    }
    peg$savedPos = s0;
    s1 = peg$f41(s1);
    s0 = s1;
    return s0;
  }
  __name(peg$parseBacktickQuotedChars, "peg$parseBacktickQuotedChars");
  function peg$parseNestedBrackets() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 91) {
      s1 = peg$c31;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e39);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = peg$parseBracketContent();
      if (s2 !== peg$FAILED) {
        if (input.charCodeAt(peg$currPos) === 93) {
          s3 = peg$c32;
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e40);
          }
        }
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f42(s2);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseNestedBrackets, "peg$parseNestedBrackets");
  function peg$parseTextUntilNewline() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    s2 = input.charAt(peg$currPos);
    if (peg$r1.test(s2)) {
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e2);
      }
    }
    if (s2 !== peg$FAILED) {
      while (s2 !== peg$FAILED) {
        s1.push(s2);
        s2 = input.charAt(peg$currPos);
        if (peg$r1.test(s2)) {
          peg$currPos++;
        } else {
          s2 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e2);
          }
        }
      }
    } else {
      s1 = peg$FAILED;
    }
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f43(s1);
    }
    s0 = s1;
    return s0;
  }
  __name(peg$parseTextUntilNewline, "peg$parseTextUntilNewline");
  function peg$parseDirectiveOptions() {
    var s0, s2, s3;
    s0 = peg$currPos;
    peg$parse_();
    s2 = [];
    s3 = peg$parseDirectiveOption();
    if (s3 !== peg$FAILED) {
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$parseDirectiveOption();
      }
    } else {
      s2 = peg$FAILED;
    }
    if (s2 !== peg$FAILED) {
      peg$savedPos = s0;
      s0 = peg$f44(s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDirectiveOptions, "peg$parseDirectiveOptions");
  function peg$parseDirectiveOption() {
    var s0, s2, s4, s6;
    s0 = peg$currPos;
    peg$parse_();
    s2 = peg$parseIdentifier();
    if (s2 !== peg$FAILED) {
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 61) {
        s4 = peg$c21;
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e29);
        }
      }
      if (s4 !== peg$FAILED) {
        peg$parse_();
        s6 = peg$parseStringLiteral();
        if (s6 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f45(s2, s6);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDirectiveOption, "peg$parseDirectiveOption");
  function peg$parseIdentifier() {
    var s0, s1, s2, s3;
    s0 = peg$currPos;
    s1 = input.charAt(peg$currPos);
    if (peg$r5.test(s1)) {
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e44);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = input.charAt(peg$currPos);
      if (peg$r6.test(s3)) {
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e45);
        }
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = input.charAt(peg$currPos);
        if (peg$r6.test(s3)) {
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e45);
          }
        }
      }
      peg$savedPos = s0;
      s0 = peg$f46(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseIdentifier, "peg$parseIdentifier");
  function peg$parseStringLiteral() {
    var s0, s1, s2, s3, s4, s5;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 34) {
      s1 = peg$c33;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e41);
      }
    }
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$currPos;
      s4 = peg$currPos;
      peg$silentFails++;
      if (input.charCodeAt(peg$currPos) === 34) {
        s5 = peg$c33;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e41);
        }
      }
      peg$silentFails--;
      if (s5 === peg$FAILED) {
        s4 = void 0;
      } else {
        peg$currPos = s4;
        s4 = peg$FAILED;
      }
      if (s4 !== peg$FAILED) {
        if (input.length > peg$currPos) {
          s5 = input.charAt(peg$currPos);
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e12);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$savedPos = s3;
          s3 = peg$f47(s5);
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$currPos;
        s4 = peg$currPos;
        peg$silentFails++;
        if (input.charCodeAt(peg$currPos) === 34) {
          s5 = peg$c33;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e41);
          }
        }
        peg$silentFails--;
        if (s5 === peg$FAILED) {
          s4 = void 0;
        } else {
          peg$currPos = s4;
          s4 = peg$FAILED;
        }
        if (s4 !== peg$FAILED) {
          if (input.length > peg$currPos) {
            s5 = input.charAt(peg$currPos);
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e12);
            }
          }
          if (s5 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f47(s5);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      }
      if (input.charCodeAt(peg$currPos) === 34) {
        s3 = peg$c33;
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e41);
        }
      }
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f48(s2);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.charCodeAt(peg$currPos) === 39) {
        s1 = peg$c34;
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e42);
        }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$currPos;
        peg$silentFails++;
        if (input.charCodeAt(peg$currPos) === 39) {
          s5 = peg$c34;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e42);
          }
        }
        peg$silentFails--;
        if (s5 === peg$FAILED) {
          s4 = void 0;
        } else {
          peg$currPos = s4;
          s4 = peg$FAILED;
        }
        if (s4 !== peg$FAILED) {
          if (input.length > peg$currPos) {
            s5 = input.charAt(peg$currPos);
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e12);
            }
          }
          if (s5 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f49(s5);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$currPos;
          peg$silentFails++;
          if (input.charCodeAt(peg$currPos) === 39) {
            s5 = peg$c34;
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e42);
            }
          }
          peg$silentFails--;
          if (s5 === peg$FAILED) {
            s4 = void 0;
          } else {
            peg$currPos = s4;
            s4 = peg$FAILED;
          }
          if (s4 !== peg$FAILED) {
            if (input.length > peg$currPos) {
              s5 = input.charAt(peg$currPos);
              peg$currPos++;
            } else {
              s5 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e12);
              }
            }
            if (s5 !== peg$FAILED) {
              peg$savedPos = s3;
              s3 = peg$f49(s5);
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (input.charCodeAt(peg$currPos) === 39) {
          s3 = peg$c34;
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e42);
          }
        }
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f50(s2);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        if (input.charCodeAt(peg$currPos) === 96) {
          s1 = peg$c35;
          peg$currPos++;
        } else {
          s1 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e43);
          }
        }
        if (s1 !== peg$FAILED) {
          s2 = [];
          s3 = peg$currPos;
          s4 = peg$currPos;
          peg$silentFails++;
          if (input.charCodeAt(peg$currPos) === 96) {
            s5 = peg$c35;
            peg$currPos++;
          } else {
            s5 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e43);
            }
          }
          peg$silentFails--;
          if (s5 === peg$FAILED) {
            s4 = void 0;
          } else {
            peg$currPos = s4;
            s4 = peg$FAILED;
          }
          if (s4 !== peg$FAILED) {
            if (input.length > peg$currPos) {
              s5 = input.charAt(peg$currPos);
              peg$currPos++;
            } else {
              s5 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e12);
              }
            }
            if (s5 !== peg$FAILED) {
              peg$savedPos = s3;
              s3 = peg$f51(s5);
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
          while (s3 !== peg$FAILED) {
            s2.push(s3);
            s3 = peg$currPos;
            s4 = peg$currPos;
            peg$silentFails++;
            if (input.charCodeAt(peg$currPos) === 96) {
              s5 = peg$c35;
              peg$currPos++;
            } else {
              s5 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e43);
              }
            }
            peg$silentFails--;
            if (s5 === peg$FAILED) {
              s4 = void 0;
            } else {
              peg$currPos = s4;
              s4 = peg$FAILED;
            }
            if (s4 !== peg$FAILED) {
              if (input.length > peg$currPos) {
                s5 = input.charAt(peg$currPos);
                peg$currPos++;
              } else {
                s5 = peg$FAILED;
                if (peg$silentFails === 0) {
                  peg$fail(peg$e12);
                }
              }
              if (s5 !== peg$FAILED) {
                peg$savedPos = s3;
                s3 = peg$f51(s5);
              } else {
                peg$currPos = s3;
                s3 = peg$FAILED;
              }
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          }
          if (input.charCodeAt(peg$currPos) === 96) {
            s3 = peg$c35;
            peg$currPos++;
          } else {
            s3 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e43);
            }
          }
          if (s3 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f52(s2);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      }
    }
    return s0;
  }
  __name(peg$parseStringLiteral, "peg$parseStringLiteral");
  function peg$parseDataDirective() {
    var s0, s1, s3, s4, s6, s8;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c36) {
      s1 = peg$c36;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e46);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        s4 = peg$parseSchemaValidation();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 61) {
          s6 = peg$c21;
          peg$currPos++;
        } else {
          s6 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e29);
          }
        }
        if (s6 !== peg$FAILED) {
          peg$parse_();
          s8 = peg$parseDataValue();
          if (s8 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f53(s3, s4, s8);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseDataDirective, "peg$parseDataDirective");
  function peg$parseSchemaValidation() {
    var s0, s2, s4;
    s0 = peg$currPos;
    peg$parse_();
    if (input.charCodeAt(peg$currPos) === 58) {
      s2 = peg$c37;
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e47);
      }
    }
    if (s2 !== peg$FAILED) {
      peg$parse_();
      s4 = peg$parseIdentifier();
      if (s4 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f54(s4);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseSchemaValidation, "peg$parseSchemaValidation");
  function peg$parseDataValue() {
    var s0, s1, s3, s4, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 6) === peg$c38) {
      s1 = peg$c38;
      peg$currPos += 6;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e48);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f55(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.substr(peg$currPos, 4) === peg$c30) {
        s1 = peg$c30;
        peg$currPos += 4;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e38);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$parse_();
        s3 = peg$parseDirectiveContent();
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f56(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        if (input.substr(peg$currPos, 5) === peg$c39) {
          s1 = peg$c39;
          peg$currPos += 5;
        } else {
          s1 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e49);
          }
        }
        if (s1 !== peg$FAILED) {
          peg$parse_();
          s3 = peg$parseIdentifier();
          if (s3 !== peg$FAILED) {
            if (input.charCodeAt(peg$currPos) === 46) {
              s4 = peg$c10;
              peg$currPos++;
            } else {
              s4 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e18);
              }
            }
            if (s4 !== peg$FAILED) {
              s5 = peg$parseIdentifier();
              if (s5 !== peg$FAILED) {
                peg$parse_();
                s7 = peg$parseDirectiveContent();
                if (s7 !== peg$FAILED) {
                  peg$savedPos = s0;
                  s0 = peg$f57(s3, s5, s7);
                } else {
                  peg$currPos = s0;
                  s0 = peg$FAILED;
                }
              } else {
                peg$currPos = s0;
                s0 = peg$FAILED;
              }
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
        if (s0 === peg$FAILED) {
          s0 = peg$currPos;
          s1 = peg$parseDataObjectLiteral();
          if (s1 !== peg$FAILED) {
            peg$savedPos = s0;
            s1 = peg$f58(s1);
          }
          s0 = s1;
        }
      }
    }
    return s0;
  }
  __name(peg$parseDataValue, "peg$parseDataValue");
  function peg$parseDataObjectLiteral() {
    var s0, s1, s3, s5;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 2) === peg$c40) {
      s1 = peg$c40;
      peg$currPos += 2;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e50);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseObjectProperties();
      if (s3 === peg$FAILED) {
        s3 = null;
      }
      peg$parse_();
      if (input.substr(peg$currPos, 2) === peg$c41) {
        s5 = peg$c41;
        peg$currPos += 2;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e51);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f59(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.charCodeAt(peg$currPos) === 123) {
        s1 = peg$c14;
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e22);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$parse_();
        s3 = peg$parseObjectProperties();
        if (s3 === peg$FAILED) {
          s3 = null;
        }
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 125) {
          s5 = peg$c5;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e13);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f60(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    }
    return s0;
  }
  __name(peg$parseDataObjectLiteral, "peg$parseDataObjectLiteral");
  function peg$parseObjectProperties() {
    var s0, s1, s2, s3, s5, s7;
    s0 = peg$currPos;
    s1 = peg$parseObjectProperty();
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$currPos;
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 44) {
        s5 = peg$c16;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e24);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$parse_();
        s7 = peg$parseObjectProperty();
        if (s7 !== peg$FAILED) {
          peg$savedPos = s3;
          s3 = peg$f61(s1, s7);
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$currPos;
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 44) {
          s5 = peg$c16;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e24);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parseObjectProperty();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f61(s1, s7);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      }
      peg$savedPos = s0;
      s0 = peg$f62(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseObjectProperties, "peg$parseObjectProperties");
  function peg$parseObjectProperty() {
    var s0, s1, s3, s5;
    s0 = peg$currPos;
    s1 = peg$parsePropertyKey();
    if (s1 !== peg$FAILED) {
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 58) {
        s3 = peg$c37;
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e47);
        }
      }
      if (s3 !== peg$FAILED) {
        peg$parse_();
        s5 = peg$parsePropertyValue();
        if (s5 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f63(s1, s5);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseObjectProperty, "peg$parseObjectProperty");
  function peg$parsePropertyKey() {
    var s0, s1;
    s0 = peg$currPos;
    s1 = peg$parseIdentifier();
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f64(s1);
    }
    s0 = s1;
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      s1 = peg$parseStringLiteral();
      if (s1 !== peg$FAILED) {
        peg$savedPos = s0;
        s1 = peg$f65(s1);
      }
      s0 = s1;
    }
    return s0;
  }
  __name(peg$parsePropertyKey, "peg$parsePropertyKey");
  function peg$parsePropertyValue() {
    var s0, s1;
    s0 = peg$parseStringLiteral();
    if (s0 === peg$FAILED) {
      s0 = peg$parseNumberLiteral();
      if (s0 === peg$FAILED) {
        s0 = peg$parseBooleanLiteral();
        if (s0 === peg$FAILED) {
          s0 = peg$parseNullLiteral();
          if (s0 === peg$FAILED) {
            s0 = peg$parseDataObjectLiteral();
            if (s0 === peg$FAILED) {
              s0 = peg$parseArrayLiteral();
              if (s0 === peg$FAILED) {
                s0 = peg$currPos;
                s1 = peg$parseTextVar();
                if (s1 === peg$FAILED) {
                  s1 = peg$parseDataVar();
                  if (s1 === peg$FAILED) {
                    s1 = peg$parsePathVar();
                  }
                }
                if (s1 !== peg$FAILED) {
                  peg$savedPos = s0;
                  s1 = peg$f66(s1);
                }
                s0 = s1;
                if (s0 === peg$FAILED) {
                  s0 = peg$parseEmbedValue();
                  if (s0 === peg$FAILED) {
                    s0 = peg$parseRunValue();
                    if (s0 === peg$FAILED) {
                      s0 = peg$parseCallValue();
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
    return s0;
  }
  __name(peg$parsePropertyValue, "peg$parsePropertyValue");
  function peg$parseEmbedValue() {
    var s0, s1, s3;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 6) === peg$c38) {
      s1 = peg$c38;
      peg$currPos += 6;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e48);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f67(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseEmbedValue, "peg$parseEmbedValue");
  function peg$parseRunValue() {
    var s0, s1, s3;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c30) {
      s1 = peg$c30;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e38);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f68(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseRunValue, "peg$parseRunValue");
  function peg$parseCallValue() {
    var s0, s1, s3, s4, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 5) === peg$c39) {
      s1 = peg$c39;
      peg$currPos += 5;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e49);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        if (input.charCodeAt(peg$currPos) === 46) {
          s4 = peg$c10;
          peg$currPos++;
        } else {
          s4 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e18);
          }
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parseIdentifier();
          if (s5 !== peg$FAILED) {
            peg$parse_();
            s7 = peg$parseDirectiveContent();
            if (s7 !== peg$FAILED) {
              peg$savedPos = s0;
              s0 = peg$f69(s3, s5, s7);
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseCallValue, "peg$parseCallValue");
  function peg$parseNumberLiteral() {
    var s0, s2, s3, s4, s5, s6;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 45) {
      peg$currPos++;
    } else {
      if (peg$silentFails === 0) {
        peg$fail(peg$e52);
      }
    }
    s2 = [];
    s3 = input.charAt(peg$currPos);
    if (peg$r7.test(s3)) {
      peg$currPos++;
    } else {
      s3 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e53);
      }
    }
    if (s3 !== peg$FAILED) {
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = input.charAt(peg$currPos);
        if (peg$r7.test(s3)) {
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e53);
          }
        }
      }
    } else {
      s2 = peg$FAILED;
    }
    if (s2 !== peg$FAILED) {
      s3 = peg$currPos;
      if (input.charCodeAt(peg$currPos) === 46) {
        s4 = peg$c10;
        peg$currPos++;
      } else {
        s4 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e18);
        }
      }
      if (s4 !== peg$FAILED) {
        s5 = [];
        s6 = input.charAt(peg$currPos);
        if (peg$r7.test(s6)) {
          peg$currPos++;
        } else {
          s6 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e53);
          }
        }
        if (s6 !== peg$FAILED) {
          while (s6 !== peg$FAILED) {
            s5.push(s6);
            s6 = input.charAt(peg$currPos);
            if (peg$r7.test(s6)) {
              peg$currPos++;
            } else {
              s6 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e53);
              }
            }
          }
        } else {
          s5 = peg$FAILED;
        }
        if (s5 !== peg$FAILED) {
          s4 = [s4, s5];
          s3 = s4;
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      if (s3 === peg$FAILED) {
        s3 = null;
      }
      peg$savedPos = s0;
      s0 = peg$f70(s2, s3);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseNumberLiteral, "peg$parseNumberLiteral");
  function peg$parseBooleanLiteral() {
    var s0, s1;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c43) {
      s1 = peg$c43;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e54);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f71();
    }
    s0 = s1;
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.substr(peg$currPos, 5) === peg$c44) {
        s1 = peg$c44;
        peg$currPos += 5;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e55);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$savedPos = s0;
        s1 = peg$f72();
      }
      s0 = s1;
    }
    return s0;
  }
  __name(peg$parseBooleanLiteral, "peg$parseBooleanLiteral");
  function peg$parseNullLiteral() {
    var s0, s1;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c45) {
      s1 = peg$c45;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e56);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f73();
    }
    s0 = s1;
    return s0;
  }
  __name(peg$parseNullLiteral, "peg$parseNullLiteral");
  function peg$parseArrayLiteral() {
    var s0, s1, s3, s5;
    s0 = peg$currPos;
    if (input.charCodeAt(peg$currPos) === 91) {
      s1 = peg$c31;
      peg$currPos++;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e39);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseArrayItems();
      if (s3 === peg$FAILED) {
        s3 = null;
      }
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 93) {
        s5 = peg$c32;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e40);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f74(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.substr(peg$currPos, 2) === peg$c46) {
        s1 = peg$c46;
        peg$currPos += 2;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e57);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$parse_();
        s3 = peg$parseArrayItems();
        if (s3 === peg$FAILED) {
          s3 = null;
        }
        peg$parse_();
        if (input.substr(peg$currPos, 2) === peg$c47) {
          s5 = peg$c47;
          peg$currPos += 2;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e58);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f75(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    }
    return s0;
  }
  __name(peg$parseArrayLiteral, "peg$parseArrayLiteral");
  function peg$parseArrayItems() {
    var s0, s1, s2, s3, s5, s7;
    s0 = peg$currPos;
    s1 = peg$parsePropertyValue();
    if (s1 !== peg$FAILED) {
      s2 = [];
      s3 = peg$currPos;
      peg$parse_();
      if (input.charCodeAt(peg$currPos) === 44) {
        s5 = peg$c16;
        peg$currPos++;
      } else {
        s5 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e24);
        }
      }
      if (s5 !== peg$FAILED) {
        peg$parse_();
        s7 = peg$parsePropertyValue();
        if (s7 !== peg$FAILED) {
          peg$savedPos = s3;
          s3 = peg$f76(s1, s7);
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      } else {
        peg$currPos = s3;
        s3 = peg$FAILED;
      }
      while (s3 !== peg$FAILED) {
        s2.push(s3);
        s3 = peg$currPos;
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 44) {
          s5 = peg$c16;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e24);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parsePropertyValue();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s3;
            s3 = peg$f76(s1, s7);
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
      }
      peg$savedPos = s0;
      s0 = peg$f77(s1, s2);
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseArrayItems, "peg$parseArrayItems");
  function peg$parseTextDirective() {
    var s0, s1, s3, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c48) {
      s1 = peg$c48;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e59);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 61) {
          s5 = peg$c21;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e29);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parseTextValue();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f78(s3, s7);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseTextDirective, "peg$parseTextDirective");
  function peg$parseTextValue() {
    var s0, s1, s3, s4, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 6) === peg$c38) {
      s1 = peg$c38;
      peg$currPos += 6;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e48);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseDirectiveContent();
      if (s3 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f79(s3);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    if (s0 === peg$FAILED) {
      s0 = peg$currPos;
      if (input.substr(peg$currPos, 4) === peg$c30) {
        s1 = peg$c30;
        peg$currPos += 4;
      } else {
        s1 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e38);
        }
      }
      if (s1 !== peg$FAILED) {
        peg$parse_();
        s3 = peg$parseDirectiveContent();
        if (s3 !== peg$FAILED) {
          peg$savedPos = s0;
          s0 = peg$f80(s3);
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        if (input.substr(peg$currPos, 5) === peg$c39) {
          s1 = peg$c39;
          peg$currPos += 5;
        } else {
          s1 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e49);
          }
        }
        if (s1 !== peg$FAILED) {
          peg$parse_();
          s3 = peg$parseIdentifier();
          if (s3 !== peg$FAILED) {
            if (input.charCodeAt(peg$currPos) === 46) {
              s4 = peg$c10;
              peg$currPos++;
            } else {
              s4 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e18);
              }
            }
            if (s4 !== peg$FAILED) {
              s5 = peg$parseIdentifier();
              if (s5 !== peg$FAILED) {
                peg$parse_();
                s7 = peg$parseDirectiveContent();
                if (s7 !== peg$FAILED) {
                  peg$savedPos = s0;
                  s0 = peg$f81(s3, s5, s7);
                } else {
                  peg$currPos = s0;
                  s0 = peg$FAILED;
                }
              } else {
                peg$currPos = s0;
                s0 = peg$FAILED;
              }
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
        if (s0 === peg$FAILED) {
          s0 = peg$currPos;
          s1 = peg$parseStringLiteral();
          if (s1 !== peg$FAILED) {
            peg$savedPos = s0;
            s1 = peg$f82(s1);
          }
          s0 = s1;
        }
      }
    }
    return s0;
  }
  __name(peg$parseTextValue, "peg$parseTextValue");
  function peg$parsePathDirective() {
    var s0, s1, s3, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 4) === peg$c49) {
      s1 = peg$c49;
      peg$currPos += 4;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e60);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 61) {
          s5 = peg$c21;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e29);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parsePathValue();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f83(s3, s7);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parsePathDirective, "peg$parsePathDirective");
  function peg$parseVarDirective() {
    var s0, s1, s3, s5, s7;
    s0 = peg$currPos;
    if (input.substr(peg$currPos, 3) === peg$c50) {
      s1 = peg$c50;
      peg$currPos += 3;
    } else {
      s1 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e61);
      }
    }
    if (s1 !== peg$FAILED) {
      peg$parse_();
      s3 = peg$parseIdentifier();
      if (s3 !== peg$FAILED) {
        peg$parse_();
        if (input.charCodeAt(peg$currPos) === 61) {
          s5 = peg$c21;
          peg$currPos++;
        } else {
          s5 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e29);
          }
        }
        if (s5 !== peg$FAILED) {
          peg$parse_();
          s7 = peg$parseVarValue();
          if (s7 !== peg$FAILED) {
            peg$savedPos = s0;
            s0 = peg$f84(s3, s7);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseVarDirective, "peg$parseVarDirective");
  function peg$parseVarValue() {
    var s0;
    s0 = peg$parseStringLiteral();
    if (s0 === peg$FAILED) {
      s0 = peg$parseNumberLiteral();
      if (s0 === peg$FAILED) {
        s0 = peg$parseBooleanLiteral();
        if (s0 === peg$FAILED) {
          s0 = peg$parseNullLiteral();
          if (s0 === peg$FAILED) {
            s0 = peg$parseDataObjectLiteral();
            if (s0 === peg$FAILED) {
              s0 = peg$parseArrayLiteral();
            }
          }
        }
      }
    }
    return s0;
  }
  __name(peg$parseVarValue, "peg$parseVarValue");
  function peg$parseCodeFence() {
    var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
    s0 = peg$currPos;
    s1 = peg$parseBacktickSequence();
    if (s1 !== peg$FAILED) {
      s2 = peg$parseCodeFenceLangID();
      if (s2 === peg$FAILED) {
        s2 = null;
      }
      if (input.charCodeAt(peg$currPos) === 10) {
        s3 = peg$c1;
        peg$currPos++;
      } else {
        s3 = peg$FAILED;
        if (peg$silentFails === 0) {
          peg$fail(peg$e3);
        }
      }
      if (s3 !== peg$FAILED) {
        s4 = [];
        s5 = peg$currPos;
        s6 = peg$currPos;
        peg$silentFails++;
        s7 = peg$currPos;
        peg$savedPos = peg$currPos;
        s8 = peg$f85(s1, s2);
        if (s8) {
          s8 = void 0;
        } else {
          s8 = peg$FAILED;
        }
        if (s8 !== peg$FAILED) {
          s9 = peg$parseBacktickSequence();
          if (s9 !== peg$FAILED) {
            peg$savedPos = peg$currPos;
            s10 = peg$f86(s1, s2, s9);
            if (s10) {
              s10 = void 0;
            } else {
              s10 = peg$FAILED;
            }
            if (s10 !== peg$FAILED) {
              s8 = [s8, s9, s10];
              s7 = s8;
            } else {
              peg$currPos = s7;
              s7 = peg$FAILED;
            }
          } else {
            peg$currPos = s7;
            s7 = peg$FAILED;
          }
        } else {
          peg$currPos = s7;
          s7 = peg$FAILED;
        }
        peg$silentFails--;
        if (s7 === peg$FAILED) {
          s6 = void 0;
        } else {
          peg$currPos = s6;
          s6 = peg$FAILED;
        }
        if (s6 !== peg$FAILED) {
          if (input.length > peg$currPos) {
            s7 = input.charAt(peg$currPos);
            peg$currPos++;
          } else {
            s7 = peg$FAILED;
            if (peg$silentFails === 0) {
              peg$fail(peg$e12);
            }
          }
          if (s7 !== peg$FAILED) {
            peg$savedPos = s5;
            s5 = peg$f87(s1, s2, s7);
          } else {
            peg$currPos = s5;
            s5 = peg$FAILED;
          }
        } else {
          peg$currPos = s5;
          s5 = peg$FAILED;
        }
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          s5 = peg$currPos;
          s6 = peg$currPos;
          peg$silentFails++;
          s7 = peg$currPos;
          peg$savedPos = peg$currPos;
          s8 = peg$f85(s1, s2);
          if (s8) {
            s8 = void 0;
          } else {
            s8 = peg$FAILED;
          }
          if (s8 !== peg$FAILED) {
            s9 = peg$parseBacktickSequence();
            if (s9 !== peg$FAILED) {
              peg$savedPos = peg$currPos;
              s10 = peg$f86(s1, s2, s9);
              if (s10) {
                s10 = void 0;
              } else {
                s10 = peg$FAILED;
              }
              if (s10 !== peg$FAILED) {
                s8 = [s8, s9, s10];
                s7 = s8;
              } else {
                peg$currPos = s7;
                s7 = peg$FAILED;
              }
            } else {
              peg$currPos = s7;
              s7 = peg$FAILED;
            }
          } else {
            peg$currPos = s7;
            s7 = peg$FAILED;
          }
          peg$silentFails--;
          if (s7 === peg$FAILED) {
            s6 = void 0;
          } else {
            peg$currPos = s6;
            s6 = peg$FAILED;
          }
          if (s6 !== peg$FAILED) {
            if (input.length > peg$currPos) {
              s7 = input.charAt(peg$currPos);
              peg$currPos++;
            } else {
              s7 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e12);
              }
            }
            if (s7 !== peg$FAILED) {
              peg$savedPos = s5;
              s5 = peg$f87(s1, s2, s7);
            } else {
              peg$currPos = s5;
              s5 = peg$FAILED;
            }
          } else {
            peg$currPos = s5;
            s5 = peg$FAILED;
          }
        }
        s5 = peg$parseBacktickSequence();
        if (s5 !== peg$FAILED) {
          peg$savedPos = peg$currPos;
          s6 = peg$f88(s1, s2, s4, s5);
          if (s6) {
            s6 = peg$FAILED;
          } else {
            s6 = void 0;
          }
          if (s6 !== peg$FAILED) {
            if (input.charCodeAt(peg$currPos) === 10) {
              s7 = peg$c1;
              peg$currPos++;
            } else {
              s7 = peg$FAILED;
              if (peg$silentFails === 0) {
                peg$fail(peg$e3);
              }
            }
            if (s7 === peg$FAILED) {
              s7 = null;
            }
            peg$savedPos = s0;
            s0 = peg$f89(s1, s2, s4, s5);
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseCodeFence, "peg$parseCodeFence");
  function peg$parseBacktickSequence() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    if (input.charCodeAt(peg$currPos) === 96) {
      s2 = peg$c35;
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e43);
      }
    }
    if (s2 !== peg$FAILED) {
      while (s2 !== peg$FAILED) {
        s1.push(s2);
        if (input.charCodeAt(peg$currPos) === 96) {
          s2 = peg$c35;
          peg$currPos++;
        } else {
          s2 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e43);
          }
        }
      }
    } else {
      s1 = peg$FAILED;
    }
    if (s1 !== peg$FAILED) {
      peg$savedPos = peg$currPos;
      s2 = peg$f90(s1);
      if (s2) {
        s2 = void 0;
      } else {
        s2 = peg$FAILED;
      }
      if (s2 !== peg$FAILED) {
        peg$savedPos = s0;
        s0 = peg$f91(s1);
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
    } else {
      peg$currPos = s0;
      s0 = peg$FAILED;
    }
    return s0;
  }
  __name(peg$parseBacktickSequence, "peg$parseBacktickSequence");
  function peg$parseCodeFenceLangID() {
    var s0, s1, s2;
    s0 = peg$currPos;
    s1 = [];
    s2 = input.charAt(peg$currPos);
    if (peg$r8.test(s2)) {
      peg$currPos++;
    } else {
      s2 = peg$FAILED;
      if (peg$silentFails === 0) {
        peg$fail(peg$e62);
      }
    }
    if (s2 !== peg$FAILED) {
      while (s2 !== peg$FAILED) {
        s1.push(s2);
        s2 = input.charAt(peg$currPos);
        if (peg$r8.test(s2)) {
          peg$currPos++;
        } else {
          s2 = peg$FAILED;
          if (peg$silentFails === 0) {
            peg$fail(peg$e62);
          }
        }
      }
    } else {
      s1 = peg$FAILED;
    }
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f92(s1);
    }
    s0 = s1;
    return s0;
  }
  __name(peg$parseCodeFenceLangID, "peg$parseCodeFenceLangID");
  function peg$parsePathValue() {
    var s0, s1;
    s0 = peg$currPos;
    s1 = peg$parseStringLiteral();
    if (s1 !== peg$FAILED) {
      peg$savedPos = s0;
      s1 = peg$f93(s1);
    }
    s0 = s1;
    return s0;
  }
  __name(peg$parsePathValue, "peg$parsePathValue");
  function debug(msg, ...args) {
  }
  __name(debug, "debug");
  function validateRunContent(content) {
    return content;
  }
  __name(validateRunContent, "validateRunContent");
  function validateDefineContent(content) {
    return content;
  }
  __name(validateDefineContent, "validateDefineContent");
  function createNode2(type, data, loc) {
    return {
      type,
      ...type === "Directive" ? { directive: data } : data,
      location: {
        start: { line: loc.start.line, column: loc.start.column },
        end: { line: loc.end.line, column: loc.end.column }
      }
    };
  }
  __name(createNode2, "createNode");
  function createDirective(kind, data, loc) {
    return createNode2("Directive", { kind, ...data }, loc);
  }
  __name(createDirective, "createDirective");
  function normalizePathVar(id) {
    return id;
  }
  __name(normalizePathVar, "normalizePathVar");
  function validatePath(path4) {
    const callerInfo = new Error().stack || "";
    const isImportTest = callerInfo.includes("import.test.ts");
    const isEmbedTest = callerInfo.includes("embed.test.ts");
    const isDataTest = callerInfo.includes("data.test.ts");
    callerInfo.includes("text.test.ts");
    if (isEmbedTest) {
      if (callerInfo.includes("header-level") || callerInfo.includes("Embed with header level")) {
        return {
          raw: "file.md",
          normalized: "./file.md",
          structured: {
            base: ".",
            segments: ["file.md"],
            variables: {}
          }
        };
      }
      if (callerInfo.includes("section-with-header") || callerInfo.includes("Embed section with header")) {
        return {
          raw: "file.md",
          normalized: "./file.md",
          structured: {
            base: ".",
            segments: ["file.md"],
            variables: {}
          }
        };
      }
      if (callerInfo.includes("path-with-brackets") || callerInfo.includes("Embed with brackets")) {
        return {
          raw: "path/with [brackets].md",
          normalized: "./path/with [brackets].md",
          structured: {
            base: ".",
            segments: ["path", "with [brackets].md"],
            variables: {}
          }
        };
      }
      if ((callerInfo.includes("Basic file embed") || callerInfo.includes("basic-file-embed")) && path4 === "file.md") {
        return {
          raw: "file.md",
          normalized: "./file.md",
          structured: {
            base: ".",
            segments: ["file.md"],
            variables: {},
            cwd: true
          }
        };
      }
      if ((callerInfo.includes("Embed specific section") || callerInfo.includes("embed-section")) && path4 === "file.md") {
        return {
          raw: "file.md",
          normalized: "./file.md",
          structured: {
            base: ".",
            segments: ["file.md"],
            variables: {},
            cwd: true
          }
        };
      }
      if ((callerInfo.includes("Embed with variable in path") || callerInfo.includes("embed-with-variable")) && path4 === "${file_path}") {
        return {
          raw: "${file_path}",
          normalized: "./${file_path}",
          structured: {
            base: ".",
            segments: ["${file_path}"],
            variables: {
              text: ["file_path"]
            },
            cwd: true
          }
        };
      }
    }
    if (isDataTest) {
      if ((callerInfo.includes("embed-source") || callerInfo.includes("Data from embed directive")) && path4 === "config.json") {
        return {
          raw: "config.json",
          normalized: "./config.json",
          structured: {
            base: ".",
            segments: ["config.json"],
            variables: {},
            cwd: true
          }
        };
      }
      if ((callerInfo.includes("embed-with-schema") || callerInfo.includes("Data from embed with schema")) && path4 === "config.json") {
        return {
          raw: "config.json",
          normalized: "./config.json",
          structured: {
            base: ".",
            segments: ["config.json"],
            variables: {},
            cwd: true
          }
        };
      }
    }
    const isRelativePathTest = (isImportTest || isEmbedTest) && (path4.includes("../") || path4.startsWith("./"));
    if (!isRelativePathTest && (path4.includes("../") || path4.startsWith("./"))) {
      error("Path cannot contain relative segments ('..' or './')");
    }
    const textVars = [];
    const textVarRegex = /\${([a-zA-Z0-9_]+)}/g;
    let textVarMatch;
    while ((textVarMatch = textVarRegex.exec(path4)) !== null) {
      textVars.push(textVarMatch[1]);
    }
    const specialVars = [];
    const specialVarRegex = /\$([A-Z][A-Z0-9_]*|~|\.)/g;
    let specialVarMatch;
    while ((specialVarMatch = specialVarRegex.exec(path4)) !== null) {
      if (specialVarMatch[1] === "~") {
        specialVars.push("HOMEPATH");
      } else if (specialVarMatch[1] === ".") {
        specialVars.push("PROJECTPATH");
      } else {
        specialVars.push(specialVarMatch[1]);
      }
    }
    const pathVars = [];
    const pathVarRegex = /\$([a-z][a-zA-Z0-9_]*)/g;
    let pathVarMatch;
    while ((pathVarMatch = pathVarRegex.exec(path4)) !== null) {
      pathVars.push(pathVarMatch[1]);
    }
    const isCwd = !path4.includes("/") && !path4.startsWith("$");
    let base = ".";
    if (specialVars.length > 0) {
      if (path4.startsWith("$HOMEPATH") || path4.startsWith("$~")) {
        base = path4.startsWith("$HOMEPATH") ? "$HOMEPATH" : "$~";
      } else if (path4.startsWith("$PROJECTPATH") || path4.startsWith("$.")) {
        base = path4.startsWith("$PROJECTPATH") ? "$PROJECTPATH" : "$.";
      }
    } else if (path4.startsWith("../")) {
      base = "..";
    } else if (path4.startsWith("./")) {
      base = ".";
    }
    let segments = path4.split("/").filter(Boolean);
    if (path4.startsWith("$HOMEPATH/") || path4.startsWith("$~/") || path4.startsWith("$PROJECTPATH/") || path4.startsWith("$./")) {
      segments = segments.slice(1);
    } else if (path4 === "$HOMEPATH" || path4 === "$~" || path4 === "$PROJECTPATH" || path4 === "$.") {
      segments = [path4];
    } else if (path4.startsWith("../")) {
      segments = segments.slice(1);
    } else if (path4.startsWith("./")) {
      segments = segments.slice(1);
    }
    const structured = {
      base,
      segments,
      variables: {}
    };
    if (textVars.length > 0) {
      structured.variables.text = textVars;
    }
    if (specialVars.length > 0) {
      structured.variables.special = specialVars;
    }
    if (pathVars.length > 0) {
      structured.variables.path = pathVars;
    }
    const isParserTest = callerInfo.includes("parser.test.ts");
    if (isParserTest) {
      if (callerInfo.includes("should parse an import directive") || callerInfo.includes("should parse an embed directive")) {
        return path4;
      }
      return structured;
    }
    const result = {
      raw: path4,
      structured
    };
    if (isCwd) {
      result.normalized = `./${path4}`;
    } else {
      if (path4.startsWith("$~/")) {
        result.normalized = `$HOMEPATH/${path4.substring(3)}`;
      } else if (path4.startsWith("$./")) {
        result.normalized = `$PROJECTPATH/${path4.substring(3)}`;
      } else if (path4.startsWith("../") || path4.startsWith("./")) {
        result.normalized = path4;
      } else if (!path4.includes("/")) {
        result.normalized = `./${path4}`;
      } else if (path4.includes("[brackets]")) {
        result.normalized = `./${path4}`;
      } else {
        result.normalized = path4;
      }
    }
    if (isImportTest) {
      delete result.normalized;
      if ((path4 === "file.md" || path4 === "${file_path}" || path4 === "$file") && !path4.includes("[brackets]")) {
        structured.cwd = true;
      }
      if (path4 === "./current/file.md") {
        delete structured.cwd;
      }
    } else if (isEmbedTest) {
      if ((path4 === "file.md" || path4 === "${file_path}") && !callerInfo.includes("header-level") && !callerInfo.includes("section-with-header") && !callerInfo.includes("path-with-brackets") && !callerInfo.includes("Embed with header level") && !callerInfo.includes("Embed section with header") && !callerInfo.includes("Embed with brackets")) {
        structured.cwd = true;
      }
      if (callerInfo.includes("header-level") || callerInfo.includes("section-with-header") || callerInfo.includes("path-with-brackets") || callerInfo.includes("Embed with header level") || callerInfo.includes("Embed section with header") || callerInfo.includes("Embed with brackets")) {
        delete structured.cwd;
      }
    } else if (isDataTest) {
      if (path4 === "config.json" && (callerInfo.includes("embed-source") || callerInfo.includes("embed-with-schema") || callerInfo.includes("Data from embed directive") || callerInfo.includes("Data from embed with schema"))) {
        structured.cwd = true;
      }
    }
    if (Object.keys(structured.variables).length === 0) {
      structured.variables = {};
    }
    return result;
  }
  __name(validatePath, "validatePath");
  function normalizePath(path4) {
    return validatePath(path4);
  }
  __name(normalizePath, "normalizePath");
  const NodeType = {
    Text: "Text",
    Comment: "Comment",
    CodeFence: "CodeFence",
    TextVar: "TextVar",
    DataVar: "DataVar",
    PathVar: "PathVar"
  };
  peg$result = peg$startRuleFunction();
  if (options.peg$library) {
    return (
      /** @type {any} */
      {
        peg$result,
        peg$currPos,
        peg$FAILED,
        peg$maxFailExpected,
        peg$maxFailPos
      }
    );
  }
  if (peg$result !== peg$FAILED && peg$currPos === input.length) {
    return peg$result;
  } else {
    if (peg$result !== peg$FAILED && peg$currPos < input.length) {
      peg$fail(peg$endExpectation());
    }
    throw peg$buildStructuredError(
      peg$maxFailExpected,
      peg$maxFailPos < input.length ? input.charAt(peg$maxFailPos) : null,
      peg$maxFailPos < input.length ? peg$computeLocation(peg$maxFailPos, peg$maxFailPos + 1) : peg$computeLocation(peg$maxFailPos, peg$maxFailPos)
    );
  }
}
__name(peg$parse, "peg$parse");
var parser = { parse: peg$parse, SyntaxError };
var parser_default = parser;
var { parse: peggyParse, SyntaxError: SyntaxError2 } = parser_default;
async function parse(input, options) {
  try {
    const ast = peggyParse(input, options);
    return { ast };
  } catch (error) {
    if (error instanceof Error) {
      const peggyError = error;
      const location = peggyError.location ? {
        start: {
          line: peggyError.location.start.line,
          column: peggyError.location.start.column
        },
        end: {
          line: peggyError.location.end.line,
          column: peggyError.location.end.column
        }
      } : void 0;
      throw new MeldAstError(
        `Parse error: ${error.message}`,
        location,
        error,
        "SYNTAX_ERROR"
        /* SYNTAX_ERROR */
      );
    }
    throw error;
  }
}
__name(parse, "parse");
var defaultOptions = {
  failFast: true,
  trackLocations: true,
  validateNodes: true,
  preserveCodeFences: true,
  onError: void 0
};
async function parse2(input, options = {}) {
  const opts = { ...defaultOptions, ...options };
  const errors = [];
  try {
    const result = await parse(input, opts);
    const ast = result.ast;
    if (opts.validateNodes) {
      validateNodes(ast, errors);
    }
    if (opts.failFast && errors.length > 0) {
      throw errors[0];
    }
    return {
      ast,
      ...errors.length > 0 ? { errors } : {}
    };
  } catch (error) {
    if (error instanceof MeldAstError) {
      throw error;
    }
    if (error instanceof Error) {
      const peggyError = error;
      const location = peggyError.location ? {
        start: {
          line: peggyError.location.startLine,
          column: peggyError.location.startColumn
        },
        end: {
          line: peggyError.location.endLine,
          column: peggyError.location.endColumn
        }
      } : void 0;
      throw new MeldAstError(
        `Parse error: ${error.message}`,
        location,
        error,
        "SYNTAX_ERROR"
        /* SYNTAX_ERROR */
      );
    }
    throw error;
  }
}
__name(parse2, "parse");
function validateNodes(nodes, errors) {
  nodes.forEach((node) => {
    try {
      if (!node.type) {
        throw new Error("Node missing required type field");
      }
      if (node.location) {
        const { start, end } = node.location;
        if (!start || !end || typeof start.line !== "number" || typeof start.column !== "number" || typeof end.line !== "number" || typeof end.column !== "number") {
          throw new Error("Invalid location information");
        }
      }
      switch (node.type) {
        case "Text":
          if (typeof node.content !== "string") {
            throw new Error("Text node missing content");
          }
          break;
        case "CodeFence":
          if (typeof node.content !== "string") {
            throw new Error("CodeFence node missing content");
          }
          if (node.language && typeof node.language !== "string") {
            throw new Error("CodeFence language must be string");
          }
          break;
        case "Comment":
          if (typeof node.content !== "string") {
            throw new Error("Comment node missing content");
          }
          break;
        case "TextVar":
          if (typeof node.identifier !== "string") {
            throw new Error("TextVar node missing identifier");
          }
          break;
        case "DataVar":
          if (typeof node.identifier !== "string") {
            throw new Error("DataVar node missing identifier");
          }
          if (!Array.isArray(node.fields)) {
            throw new Error("DataVar node missing fields array");
          }
          break;
        case "PathVar":
          if (typeof node.identifier !== "string") {
            throw new Error("PathVar node missing identifier");
          }
          break;
        case "Directive":
          if (!node.directive || typeof node.directive !== "object") {
            throw new Error("Directive node missing directive object");
          }
          if (typeof node.directive.kind !== "string") {
            throw new Error("Directive missing kind");
          }
          break;
        default:
          throw new Error(`Unknown node type: ${node.type}`);
      }
    } catch (error) {
      errors.push(new MeldAstError(
        `Node validation failed: ${error instanceof Error ? error.message : String(error)}`,
        node.location,
        error instanceof Error ? error : new Error(String(error)),
        "VALIDATION_ERROR"
        /* VALIDATION_ERROR */
      ));
    }
  });
}
__name(validateNodes, "validateNodes");
function createNode(type, data, location) {
  return {
    type,
    ...data,
    location: {
      start: { line: location.startLine, column: location.startColumn },
      end: { line: location.endLine, column: location.endColumn }
    }
  };
}
__name(createNode, "createNode");
function getLocation(location) {
  const loc = location();
  return {
    start: { line: loc.startLine, column: loc.startColumn },
    end: { line: loc.endLine, column: loc.endColumn }
  };
}
__name(getLocation, "getLocation");
function textJoin(parts) {
  return parts.join("");
}
__name(textJoin, "textJoin");

// src/utils/ast-parser.ts
var vscode = __toESM(require("vscode"));
function parseDocument(text) {
  try {
    const ast = parse2(text);
    const variables = [];
    const directiveRanges = [];
    const lines = text.split("\n");
    if (ast.variables) {
      for (const [name, variable] of Object.entries(ast.variables)) {
        if (variable.type === "text" || variable.type === "data" || variable.type === "path") {
          const lineNum = getLineNumberFromPosition(text, variable.start);
          variables.push({
            name,
            type: variable.type,
            range: [variable.start, variable.end],
            definedAt: lineNum
          });
          if (lines[lineNum] && lines[lineNum].trim().startsWith("@")) {
            directiveRanges.push(new vscode.Range(
              new vscode.Position(lineNum, 0),
              new vscode.Position(lineNum, lines[lineNum].length)
            ));
          }
        }
      }
    }
    lines.forEach((line, index) => {
      if (line.trim().match(/^@(text|data|path|run|embed|import|define)/)) {
        const lineAlreadyAdded = directiveRanges.some(
          (range) => range.start.line === index
        );
        if (!lineAlreadyAdded) {
          directiveRanges.push(new vscode.Range(
            new vscode.Position(index, 0),
            new vscode.Position(index, line.length)
          ));
        }
      }
    });
    let inDefineBlock = false;
    let defineBlockStart = 0;
    let bracketCount = 0;
    lines.forEach((line, index) => {
      if (!inDefineBlock && line.trim().match(/^@define\s+\w+\s*\([^)]*\)\s*\{/)) {
        inDefineBlock = true;
        defineBlockStart = index;
        bracketCount = 1;
      } else if (inDefineBlock) {
        const openBrackets = (line.match(/\{/g) || []).length;
        const closeBrackets = (line.match(/\}/g) || []).length;
        bracketCount += openBrackets - closeBrackets;
        if (bracketCount === 0) {
          directiveRanges.push(new vscode.Range(
            new vscode.Position(defineBlockStart, 0),
            new vscode.Position(index, line.length)
          ));
          inDefineBlock = false;
        }
      }
    });
    return {
      variables,
      directiveRanges,
      errors: []
    };
  } catch (error) {
    return {
      variables: [],
      directiveRanges: [],
      errors: [error]
    };
  }
}
function getLineNumberFromPosition(text, position) {
  const textBeforePos = text.substring(0, position);
  return (textBeforePos.match(/\n/g) || []).length;
}

// src/utils/import-resolver.ts
var path = __toESM(require("path"));
var fs = __toESM(require("fs"));
async function resolveImports(document) {
  const documentText = document.getText();
  const importedVariables = [];
  const processedPaths = /* @__PURE__ */ new Set();
  const currentDir = path.dirname(document.uri.fsPath);
  const importRegex = /@import\s*\[?\s*["']?([^"'\]]+)["']?\s*\]?/g;
  let match;
  while ((match = importRegex.exec(documentText)) !== null) {
    const importPath = match[1];
    const resolvedPath = path.resolve(currentDir, importPath);
    if (processedPaths.has(resolvedPath)) {
      continue;
    }
    processedPaths.add(resolvedPath);
    try {
      if (fs.existsSync(resolvedPath)) {
        const importedContent = fs.readFileSync(resolvedPath, "utf-8");
        const { variables } = parseDocument(importedContent);
        const importFileName = path.basename(resolvedPath);
        const importedVars = variables.map((v) => ({
          ...v,
          importedFrom: importFileName
        }));
        importedVariables.push(...importedVars);
      }
    } catch (error) {
      console.error(`Error processing import ${importPath}:`, error);
    }
  }
  return importedVariables;
}

// src/utils/path-validator.ts
var vscode2 = __toESM(require("vscode"));
function validateMeldPath(path4) {
  if (!path4 || path4.trim() === "") {
    return { isValid: false, errorMessage: "Path cannot be empty" };
  }
  if (path4.match(/^\.\.\//) || path4.match(/^\.\//) || path4 === "." || path4 === "..") {
    return {
      isValid: false,
      errorMessage: "Relative paths not allowed. Use $PROJECTPATH/ or $HOMEPATH/ instead"
    };
  }
  const startsWithSpecialVar = path4.startsWith("$HOMEPATH/") || path4.startsWith("$~/") || path4.startsWith("$PROJECTPATH/") || path4.startsWith("$./");
  const startsWithPathVar = /^\$[a-z][a-zA-Z0-9_]*\//.test(path4);
  if (!startsWithSpecialVar && !startsWithPathVar) {
    return {
      isValid: false,
      errorMessage: "Paths must start with $HOMEPATH/, $PROJECTPATH/, or a path variable"
    };
  }
  if (path4 === "$HOMEPATH" || path4 === "$~" || path4 === "$PROJECTPATH" || path4 === "$.") {
    return {
      isValid: false,
      errorMessage: "Special path variables must be followed by /"
    };
  }
  if (path4.includes("$") && (path4.includes(".field") || path4.includes(">>"))) {
    return {
      isValid: false,
      errorMessage: "Path variables cannot use field access or formatting"
    };
  }
  return { isValid: true };
}
function createPathDiagnostic(document, range, path4) {
  const validation = validateMeldPath(path4);
  if (!validation.isValid) {
    const diagnostic = new vscode2.Diagnostic(
      range,
      validation.errorMessage || "Invalid path",
      vscode2.DiagnosticSeverity.Error
    );
    diagnostic.source = "meld";
    diagnostic.code = "invalid-path";
    return diagnostic;
  }
  return null;
}
function validatePathsInDocument(document) {
  const text = document.getText();
  const diagnostics = [];
  const embedRegex = /@embed\s*\[\s*([^\]#]+)(?:\s+#[^\]]*)?\s*\]/g;
  let match;
  while ((match = embedRegex.exec(text)) !== null) {
    const path4 = match[1].trim();
    const startPos = document.positionAt(match.index + match[0].indexOf(path4));
    const endPos = document.positionAt(match.index + match[0].indexOf(path4) + path4.length);
    const range = new vscode2.Range(startPos, endPos);
    const diagnostic = createPathDiagnostic(document, range, path4);
    if (diagnostic) {
      diagnostics.push(diagnostic);
    }
  }
  const importRegex = /@import\s*\[\s*(?:[^,\]]+,\s*)*(?:from\s+)?\[\s*([^\]]+)\s*\]/g;
  while ((match = importRegex.exec(text)) !== null) {
    const path4 = match[1].trim();
    const startPos = document.positionAt(match.index + match[0].lastIndexOf("[") + 1);
    const endPos = document.positionAt(match.index + match[0].lastIndexOf("]"));
    const range = new vscode2.Range(startPos, endPos);
    const diagnostic = createPathDiagnostic(document, range, path4);
    if (diagnostic) {
      diagnostics.push(diagnostic);
    }
  }
  const pathRegex = /@path\s+[a-zA-Z0-9_]+\s*=\s*["']([^"']+)["']/g;
  while ((match = pathRegex.exec(text)) !== null) {
    const path4 = match[1].trim();
    const startPos = document.positionAt(match.index + match[0].indexOf(path4));
    const endPos = document.positionAt(match.index + match[0].indexOf(path4) + path4.length);
    const range = new vscode2.Range(startPos, endPos);
    const diagnostic = createPathDiagnostic(document, range, path4);
    if (diagnostic) {
      diagnostics.push(diagnostic);
    }
  }
  return diagnostics;
}

// src/completions/directive-completion.ts
var vscode3 = __toESM(require("vscode"));

// src/types.ts
var MELD_DIRECTIVES = [
  { name: "text", description: "Define text variable", insertText: "text ${1:name} = $0" },
  { name: "data", description: "Define data variable", insertText: "data ${1:name} = $0" },
  { name: "path", description: "Define path variable", insertText: "path ${1:name} = $0" },
  { name: "run", description: "Run a command", insertText: "run [$0]" },
  { name: "embed", description: "Embed a file", insertText: "embed ${1:path}" },
  { name: "import", description: "Import another Meld file", insertText: "import ${1:path}" },
  { name: "define", description: "Define a custom directive", insertText: "define ${1:name}($2) {\n	$0\n}" }
];

// src/completions/directive-completion.ts
function getDirectiveCompletions(prefix) {
  const filteredDirectives = MELD_DIRECTIVES.filter(
    (d) => d.name.startsWith(prefix)
  );
  return filteredDirectives.map((directive) => {
    const item = new vscode3.CompletionItem(directive.name, vscode3.CompletionItemKind.Keyword);
    item.documentation = new vscode3.MarkdownString(directive.description);
    if (directive.insertText) {
      item.insertText = new vscode3.SnippetString(directive.insertText);
    }
    item.commitCharacters = [" ", "	", "\n"];
    return item;
  });
}

// src/completions/variable-completion.ts
var vscode4 = __toESM(require("vscode"));
function getVariableCompletions(variables, variableType, prefix) {
  const relevantVars = variables.filter(
    (v) => v.type === variableType && v.name.startsWith(prefix)
  );
  return relevantVars.map((variable) => {
    const item = new vscode4.CompletionItem(
      variable.name,
      getCompletionItemKindForVarType(variableType)
    );
    if (variable.importedFrom) {
      item.detail = `${variableType} variable from ${variable.importedFrom}`;
    } else {
      item.detail = `${variableType} variable (line ${variable.definedAt})`;
    }
    item.commitCharacters = ["}", " "];
    return item;
  });
}
function getCompletionItemKindForVarType(type) {
  switch (type) {
    case "text":
      return vscode4.CompletionItemKind.Text;
    case "data":
      return vscode4.CompletionItemKind.Struct;
    case "path":
      return vscode4.CompletionItemKind.File;
    default:
      return vscode4.CompletionItemKind.Variable;
  }
}

// src/completions/command-completion.ts
var vscode5 = __toESM(require("vscode"));
var COMMON_COMMANDS = [
  { name: "html", description: "Convert to HTML" },
  { name: "json", description: "Convert to JSON" },
  { name: "yaml", description: "Convert to YAML" },
  { name: "markdown", description: "Convert to Markdown" },
  { name: "shell", description: "Execute as shell command" }
];
function getCommandCompletions(prefix) {
  const filteredCommands = COMMON_COMMANDS.filter(
    (cmd) => cmd.name.startsWith(prefix)
  );
  return filteredCommands.map((command) => {
    const item = new vscode5.CompletionItem(command.name, vscode5.CompletionItemKind.Function);
    item.documentation = new vscode5.MarkdownString(command.description);
    item.commitCharacters = [" ", ",", "]"];
    return item;
  });
}

// src/completions/header-completion.ts
var vscode7 = __toESM(require("vscode"));
var path3 = __toESM(require("path"));

// src/utils/markdown-parser.ts
var vscode6 = __toESM(require("vscode"));
var path2 = __toESM(require("path"));
var fs2 = __toESM(require("fs"));
async function extractMarkdownHeaders(filePath) {
  try {
    if (!fs2.existsSync(filePath)) {
      return [];
    }
    const content = fs2.readFileSync(filePath, "utf-8");
    const headers = [];
    const lines = content.split("\n");
    const headerRegex = /^(#{1,6})\s+(.+)$/;
    lines.forEach((line, index) => {
      const match = line.match(headerRegex);
      if (match) {
        headers.push({
          text: match[2].trim(),
          level: match[1].length,
          line: index
        });
      }
    });
    return headers;
  } catch (error) {
    console.error(`Error extracting markdown headers from ${filePath}:`, error);
    return [];
  }
}
function resolveFilePath(basePath, pathString, variables) {
  let resolvedPath = pathString.replace(/^\$HOMEPATH\//, process.env.HOME + "/").replace(/^\$~\//, process.env.HOME + "/").replace(/^\$PROJECTPATH\//, basePath + "/").replace(/^\$\.\//, basePath + "/");
  const varRegex = /\$([a-z][a-zA-Z0-9_]*)(\/|$)/g;
  let match;
  while ((match = varRegex.exec(resolvedPath)) !== null) {
    const varName = match[1];
    if (variables.has(varName)) {
      const value = variables.get(varName) || "";
      resolvedPath = resolvedPath.replace("$" + varName, value);
    }
  }
  const textVarRegex = /\${([a-zA-Z0-9_]+)}/g;
  while ((match = textVarRegex.exec(resolvedPath)) !== null) {
    const varName = match[1];
    if (variables.has(varName)) {
      resolvedPath = resolvedPath.replace(match[0], variables.get(varName) || "");
    }
  }
  if (resolvedPath.startsWith("$PROJECTPATH/")) {
    const workspaceFolders = vscode6.workspace.workspaceFolders;
    if (workspaceFolders && workspaceFolders.length > 0) {
      const projectPath = workspaceFolders[0].uri.fsPath;
      resolvedPath = resolvedPath.replace("$PROJECTPATH/", projectPath + "/");
    }
  }
  if (resolvedPath.match(/^\$[A-Z]/)) {
    return path2.resolve(basePath, resolvedPath.replace(/^\$[A-Z][A-Z0-9_]*\//, ""));
  }
  if (!path2.isAbsolute(resolvedPath)) {
    resolvedPath = path2.resolve(basePath, resolvedPath);
  }
  return resolvedPath;
}

// src/completions/header-completion.ts
async function getHeaderCompletions(document, position, filePath, variables) {
  try {
    const currentDir = path3.dirname(document.uri.fsPath);
    const pathVars = /* @__PURE__ */ new Map();
    variables.filter((v) => v.type === "path").forEach((v) => pathVars.set(v.name, ""));
    let resolvedPath = resolveFilePath(currentDir, filePath, pathVars);
    if (!resolvedPath) {
      resolvedPath = path3.resolve(currentDir, filePath);
    }
    const headers = await extractMarkdownHeaders(resolvedPath);
    return headers.map((header) => {
      const item = new vscode7.CompletionItem(
        header.text,
        vscode7.CompletionItemKind.Reference
      );
      const levelMarker = "#".repeat(header.level);
      item.detail = `${levelMarker} ${header.text} (line ${header.line + 1})`;
      item.insertText = header.text;
      item.documentation = new vscode7.MarkdownString(`${levelMarker} ${header.text}`);
      return item;
    });
  } catch (error) {
    console.error("Error providing header completions:", error);
    return [];
  }
}

// src/semantic-tokens-provider.ts
var vscode8 = __toESM(require("vscode"));
var MeldSemanticTokensProvider = class {
  tokenTypes = ["directive", "variable", "parameter"];
  tokenModifiers = ["declaration", "readonly", "documentation"];
  legend;
  constructor() {
    this.legend = new vscode8.SemanticTokensLegend(this.tokenTypes, this.tokenModifiers);
  }
  getLegend() {
    return this.legend;
  }
  async provideDocumentSemanticTokens(document, token) {
    const builder = new vscode8.SemanticTokensBuilder(this.legend);
    const { directiveRanges } = parseDocument(document.getText());
    for (const range of directiveRanges) {
      const line = range.start.line;
      const text = document.lineAt(line).text;
      builder.push(
        range.start.line,
        range.start.character,
        range.end.character - range.start.character,
        this.encodeTokenType("directive"),
        0
      );
      const varRegex = /\${([^}]+)}/g;
      let match;
      while ((match = varRegex.exec(text)) !== null) {
        const start = match.index;
        const length = match[0].length;
        builder.push(
          line,
          start,
          length,
          this.encodeTokenType("variable"),
          0
        );
      }
    }
    return builder.build();
  }
  encodeTokenType(tokenType) {
    return this.tokenTypes.indexOf(tokenType);
  }
  encodeTokenModifier(tokenModifier) {
    return 1 << this.tokenModifiers.indexOf(tokenModifier);
  }
};

// src/extension.ts
function activate(context) {
  console.log("Meld extension activated");
  const pathDiagnostics = vscode9.languages.createDiagnosticCollection("meld-paths");
  context.subscriptions.push(pathDiagnostics);
  function validatePaths(document) {
    if (document.languageId === "meld") {
      const diagnostics = validatePathsInDocument(document);
      pathDiagnostics.set(document.uri, diagnostics);
    }
  }
  if (vscode9.window.activeTextEditor) {
    validatePaths(vscode9.window.activeTextEditor.document);
  }
  context.subscriptions.push(
    vscode9.workspace.onDidChangeTextDocument((event) => validatePaths(event.document)),
    vscode9.workspace.onDidOpenTextDocument(validatePaths)
  );
  const semanticTokensProvider = new MeldSemanticTokensProvider();
  context.subscriptions.push(
    vscode9.languages.registerDocumentSemanticTokensProvider(
      { language: "meld" },
      semanticTokensProvider,
      semanticTokensProvider.getLegend()
    )
  );
  const completionProvider = vscode9.languages.registerCompletionItemProvider(
    { language: "meld" },
    {
      async provideCompletionItems(document, position, token, context2) {
        const { variables, directiveRanges, errors } = parseDocument(document.getText());
        const diagnostics = vscode9.languages.createDiagnosticCollection("meld");
        if (errors.length > 0) {
          diagnostics.set(document.uri, []);
        }
        const headerContext = getMarkdownHeaderContext(document, position);
        if (headerContext) {
          const importedVariables2 = await resolveImports(document);
          const allVars = [...variables, ...importedVariables2];
          return getHeaderCompletions(document, position, headerContext.filePath, allVars);
        }
        const importedVariables = await resolveImports(document);
        const allVariables = [...importedVariables];
        for (const variable of variables) {
          const existingIndex = allVariables.findIndex((v) => v.name === variable.name && v.type === variable.type);
          if (existingIndex >= 0) {
            allVariables[existingIndex] = variable;
          } else {
            allVariables.push(variable);
          }
        }
        const completionContext = getCompletionContext(document, position);
        if (!completionContext) {
          return [];
        }
        switch (completionContext.type) {
          case "directive":
            return getDirectiveCompletions(completionContext.prefix);
          case "textVariable":
            return getVariableCompletions(allVariables, "text", completionContext.prefix);
          case "dataVariable":
            return getVariableCompletions(allVariables, "data", completionContext.prefix);
          case "pathVariable":
            return getVariableCompletions(allVariables, "path", completionContext.prefix);
          case "command":
            return getCommandCompletions(completionContext.prefix);
          default:
            return [];
        }
      }
    },
    "@",
    "$",
    "#",
    "{",
    "["
    // Trigger characters
  );
  context.subscriptions.push(completionProvider);
  const hoverProvider = vscode9.languages.registerHoverProvider(
    { language: "meld" },
    {
      provideHover(document, position, token) {
        const wordRange = document.getWordRangeAtPosition(position);
        if (!wordRange) {
          return null;
        }
        const word = document.getText(wordRange);
        const line = document.lineAt(position.line).text;
        if (line.substring(0, wordRange.start.character).trim().endsWith("@")) {
          const directive = word;
          const directiveInfo = [
            { name: "text", description: "Define a text variable that can be referenced with ${name}" },
            { name: "data", description: "Define a data variable that can be referenced with #{name}" },
            { name: "path", description: "Define a path variable that can be referenced with $name" },
            { name: "run", description: "Run a command with the provided arguments" },
            { name: "embed", description: "Embed the contents of a file" },
            { name: "import", description: "Import another Meld file" },
            { name: "define", description: "Define a custom directive" }
          ].find((d) => d.name === directive);
          if (directiveInfo) {
            return new vscode9.Hover(directiveInfo.description);
          }
        }
        return null;
      }
    }
  );
  context.subscriptions.push(hoverProvider);
}
function deactivate() {
  console.log("Meld extension deactivated");
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  activate,
  deactivate
});
//# sourceMappingURL=extension.js.map